[Setup]
AppName="BOTF tools"
AppVerName="BOTF tools 1.0.0"
AppPublisher="microprose"
AppSupportURL="https://www.armadafleetcommand.com/onscreen/botf/viewforum.php?f=303"
OutputDir=C:\_All_in_One\exe
OutputBaseFilename=BOTF_tools
SetupIconFile=files\trek.ico
Compression=lzma2/ultra64
SolidCompression=true
DisableDirPage=yes
VersionInfoVersion=1.0.0
VersionInfoCompany=Microprose
AppCopyright=Microprose
AppVersion=1.0.0
SourceDir=C:\_All_in_One
DisableStartupPrompt=true
ShowLanguageDialog=no
Uninstallable=yes
ChangesAssociations=true
InternalCompressLevel=ultra64
DefaultDirName={reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}
UsePreviousGroup=False
DisableProgramGroupPage=yes
DefaultGroupName=Microprose
EnableDirDoesntExistWarning=True
DirExistsWarning=no
ShowComponentSizes=False
UninstallLogMode=new
DisableWelcomePage=True
DisableReadyPage=True
DisableReadyMemo=True
DisableFinishedPage=True
UsePreviousLanguage=False
FlatComponentsList=False
AlwaysShowComponentsList=False
UsePreviousAppDir=False
AppId={{18C94B21-9C7B-11D0-933A-10307CEA7318}
UninstallDisplayName=BOTF Tools

[Registry]
;Dx
Root: HKLM; Subkey: Software\Microprose; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microprose\Star Trek: Dx; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microprose\Star Trek: Dx; ValueType: string; ValueName: InstallPath; ValueData: {app}

[Icons]
;DxWnd
Name: "{group}\tools\DxWnd\DxWnd Fullscreen"; Filename: "{app}\dxwnd_Fullscreen\dxwnd.exe"; WorkingDir: "{app}\dxwnd_Fullscreen"; Check: CheckRegKey(3)
Name: "{group}\tools\DxWnd\DxWnd Windowed"; Filename: "{app}\dxwnd_windowed\dxwnd.exe"; WorkingDir: "{app}\dxwnd_windowed"; Check: CheckRegKey(3)
Name: "{group}\tools\DxWnd\DxWnd Help"; Filename: "{app}\dxwnd_windowed\help\DxWnd.html"; Check: CheckRegKey(3)
Name: "{commondesktop}\DxWnd Fullscreen"; Filename: "{app}\dxwnd_Fullscreen\dxwnd.exe"; WorkingDir: "{app}\dxwnd_Fullscreen"; Check: CheckRegKey(2)
Name: "{commondesktop}\DxWnd Windowed"; Filename: "{app}\dxwnd_windowed\dxwnd.exe"; WorkingDir: "{app}\dxwnd_windowed"; Check: CheckRegKey(1)
Name: "{group}\tools\DxWnd\DxWnd support-discussion"; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=23&t=3179"; Check: CheckRegKey(3)
Name: "{group}\tools\Uninstall tools"; Filename: "{uninstallexe}"; IconFilename: "{app}\uninstall.ico"; IconIndex: 0

;UE
Name: "{group}\tools\Ultimate Editor\Ultimate Editor"; Filename: "{app}\UE\UE.jar"; WorkingDir: "{app}\UE"; Check: CheckRegKey(4)
Name: "{group}\tools\Ultimate Editor\Ultimate editor support-discussion"; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=125&t=22"; Check: CheckRegKey(4)
Name: "{group}\tools\Ultimate Editor\Download Java"; Filename: "https://java.com/en/download/"; Check: CheckRegKey(4)


;QD
Name: "{group}\tools\QD's Tools\QD's Patcher"; Filename: "{app}\QD\bof_patcher.exe"; WorkingDir: "{app}\QD"; Check: CheckRegKey(5)
Name: "{group}\tools\QD's Tools\QD's Patcher support-discussion"; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=126&t=2515"; Check: CheckRegKey(5)
Name: "{group}\tools\QD's Tools\QD's EdificePatcher"; Filename: "{app}\QD\EdificePatcher.exe"; WorkingDir: "{app}\QD"; Check: CheckRegKey(5)
Name: "{group}\tools\QD's Tools\QD's EdificePatcher support-discussion"; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=31&t=3255"; Check: CheckRegKey(5)

;how to
Name: "{group}\tools\UE How to tutorials\Ultimate Editor Basics"; Filename: "https://www.armadafleetcommand.com/botf/ultimate-editor-basics"; Check: CheckRegKey(4)
Name: "{group}\tools\UE How to tutorials\Large Map Generation Chart and tutorial for UE"; Filename: "https://www.armadafleetcommand.com/botf/large-map-generation-chart-and-tutorial-for-ue"; Check: CheckRegKey(4)
Name: "{group}\tools\UE How to tutorials\Adding new models Using UE"; Filename: "https://www.armadafleetcommand.com/botf/adding-new-models-using-ue"; Check: CheckRegKey(4)
Name: "{group}\tools\UE How to tutorials\How to lower the number of Palettes"; Filename: "https://www.armadafleetcommand.com/botf/how-to-lower-the-number-of-palettes"; Check: CheckRegKey(4)

[UninstallDelete]
;tools
Type: filesandordirs; Name: "{app}\*"
Type: dirifempty; Name: "{app}" 

[Code]

function CheckRegKey(CompType: Integer): Boolean;
begin
  Result := False;
  case CompType of
    1: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'window');
    2: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'full');
    3: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'Dx');
    4: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'UE');
    5: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'QD');
  end;
end;