[Setup]
AppName="Thunderchero's Multi-player mod"
AppVerName="Thunderchero's Multi-player mod 1.1.0"
AppPublisher="microprose"
AppSupportURL="https://www.armadafleetcommand.com/onscreen/botf/viewforum.php?f=303"
OutputDir=C:\_All_in_One\exe
OutputBaseFilename=TMPM
SetupIconFile=files\trek.ico
Compression=lzma2/ultra64
SolidCompression=true
DisableDirPage=yes
VersionInfoVersion=1.0.0
VersionInfoCompany=Microprose
AppCopyright=Microprose
AppVersion=1.1.0
SourceDir=C:\_All_in_One
DisableStartupPrompt=true
ShowLanguageDialog=no
Uninstallable=yes
ChangesAssociations=true
InternalCompressLevel=ultra64
DefaultDirName={reg:HKLM\Software\Microprose\Star Trek: TMPM,InstallPath|{pf}\Star Trek: TMPM}
UsePreviousGroup=False
DisableProgramGroupPage=yes
DefaultGroupName=Microprose
EnableDirDoesntExistWarning=True
DirExistsWarning=no
ShowComponentSizes=False
UninstallLogMode=new
DisableWelcomePage=True
DisableReadyPage=True
DisableReadyMemo=True
DisableFinishedPage=True
UsePreviousLanguage=False
FlatComponentsList=False
AlwaysShowComponentsList=False
UsePreviousAppDir=False
AppId={{18C94B21-9C7B-11D0-933A-10318CEA7318}
UninstallDisplayName=Thunderchero's Multi-player mod

[Registry]
Root: HKLM; Subkey: Software\Microprose; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microprose\Star Trek: TMPM; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microprose\Star Trek: TMPM; ValueType: string; ValueName: InstallPath; ValueData: {app}
Root: HKLM; Subkey: Software\Microprose\Star Trek: TMPM; ValueType: string; ValueName: Version; ValueData: TMPM1.1
Root: HKLM; Subkey: Software\Microprose\Star Trek: TMPM\1.0; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Thunderchero's Multi-player mod; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Thunderchero's Multi-player mod; ValueType: string; ValueName: CommandLine; ValueData: -L
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Thunderchero's Multi-player mod; ValueType: string; ValueName: CurrentDirectory; ValueData: {app}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Thunderchero's Multi-player mod; ValueType: string; ValueName: File; ValueData: trek.exe
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Thunderchero's Multi-player mod; ValueType: string; ValueName: GUID; ValueData: {{18C94B21-9C7B-11D0-933A-10318CEA7318}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Thunderchero's Multi-player mod; ValueType: string; ValueName: Path; ValueData: {app}

[Icons]
Name: {group}\Thunderchero's Multi-player mod\Thunderchero's Multi-player mod; Filename: {app}\trek.exe; WorkingDir: {app}
Name: "{group}\Thunderchero's Multi-player mod\Thunderchero's Multi-player mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe"; Parameters: /R:17; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(2)
Name: "{group}\Thunderchero's Multi-player mod\Thunderchero's Multi-player mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:17; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(1)
Name: {group}\Thunderchero's Multi-player mod\Documentation\ReadMe; Filename: {app}\TMPM_readme.htm
Name: {group}\Thunderchero's Multi-player mod\Documentation\Thunderchero's Multi-player mod support-discussion; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=47&t=2180"
Name: {commondesktop}\Thunderchero's Multi-player mod; Filename: {app}\trek.exe; WorkingDir: {app}; Check: CheckRegKey(3)
Name: "{commondesktop}\Thunderchero's Multi-player mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe"; Parameters: /R:17; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(2)
Name: "{commondesktop}\Thunderchero's Multi-player mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:17; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(1)
Name: {group}\Thunderchero's Multi-player mod\Uninstall Thunderchero's Multi-player mod; Filename: {uninstallexe}; IconFilename: {app}\uninstall.ico; IconIndex: 0

[UninstallDelete]
;tools
Type: filesandordirs; Name: "{app}\*"
Type: dirifempty; Name: "{app}" 

[Code]

function CheckRegKey(CompType: Integer): Boolean;
begin
  Result := False;
  case CompType of
    1: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'window');
    2: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'full');
    3: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: TMPM', 'icon');
  end;
end;
