[Setup]
AppName="BOTF All in one"
AppVerName="BOTF All in one 1.0.1"
AppPublisher="microprose"
AppSupportURL="https://www.armadafleetcommand.com/onscreen/botf/viewforum.php?f=303"
LicenseFile=C:\_All_in_One\files\license.txt
OutputDir=C:\_All_in_One
OutputBaseFilename=BOTF_All_in_One_1.0.1
SetupIconFile=files\trek.ico
Compression=lzma2/ultra64
SolidCompression=true
DisableDirPage=auto
VersionInfoVersion=1.0.1
VersionInfoCompany=Microprose
AppCopyright=thunderchero
AppVersion=1.0.1
SourceDir=C:\_All_in_One
DisableStartupPrompt=true
ShowLanguageDialog=yes
Uninstallable=no
ChangesAssociations=true
InternalCompressLevel=ultra64
DefaultDirName=C:\botf
UsePreviousGroup=False
DisableProgramGroupPage=yes
DefaultGroupName=Microprose
EnableDirDoesntExistWarning=True
DirExistsWarning=no
ShowComponentSizes=False
UsePreviousLanguage=no
UsePreviousSetupType=False
UsePreviousTasks=False

[Languages]
Name: en; MessagesFile: compiler:Default.isl; LicenseFile: C:\_All_in_One\files\license.txt
Name: de; MessagesFile: compiler:Languages\German.isl; LicenseFile: C:\_All_in_One\files\license.txt

[Files]
;tools
Source: "files\dx\*"; DestDir: "{app}\tools"; Flags: recursesubdirs createallsubdirs; Components: tools; Tasks: dx
Source: "files\win7\dxwnd_Fullscreen\dxwnd.ini"; DestDir: "{app}\tools\dxwnd_Fullscreen"; OnlyBelowVersion: 0,6.2; Components: tools; Tasks: dx
Source: "files\win7\dxwnd_windowed\dxwnd.ini"; DestDir: "{app}\tools\dxwnd_windowed"; OnlyBelowVersion: 0,6.2; Components: tools; Tasks: dx
Source: "files\uninstall.ico"; DestDir: "{app}\tools"; Flags: nocompression; Components: tools
Source: "files\UE\*"; DestDir: "{app}\tools"; Flags: recursesubdirs createallsubdirs; Components: tools; Tasks: UE
Source: "files\QD\*"; DestDir: "{app}\tools"; Flags: recursesubdirs createallsubdirs; Components: tools; Tasks: QD
Source: "exe\BOTF_tools.exe"; DestDir: "{tmp}\tools"; Components: tools

;app backups english/german
Source: "files\backups\english\*"; DestDir: "{app}\Vanilla"; Flags: recursesubdirs createallsubdirs; Components: vanilla; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\Vanilla"; Flags: recursesubdirs createallsubdirs; Components: vanilla; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\ECM"; Flags: recursesubdirs createallsubdirs; Components: ECM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\ECM"; Flags: recursesubdirs createallsubdirs; Components: ECM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\UDM"; Flags: recursesubdirs createallsubdirs; Components: UDM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\UDM"; Flags: recursesubdirs createallsubdirs; Components: UDM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\UDML"; Flags: recursesubdirs createallsubdirs; Components: UDM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\UDML"; Flags: recursesubdirs createallsubdirs; Components: UDM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\BOP"; Flags: recursesubdirs createallsubdirs; Components: BOP; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\BOP"; Flags: recursesubdirs createallsubdirs; Components: BOP; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\BOPL"; Flags: recursesubdirs createallsubdirs; Components: BOP; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\BOPL"; Flags: recursesubdirs createallsubdirs; Components: BOP; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\AAM"; Flags: recursesubdirs createallsubdirs; Components: AAM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\AAM"; Flags: recursesubdirs createallsubdirs; Components: AAM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\AAML"; Flags: recursesubdirs createallsubdirs; Components: AAM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\AAML"; Flags: recursesubdirs createallsubdirs; Components: AAM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\UM5"; Flags: recursesubdirs createallsubdirs; Components: UM5; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\UM5"; Flags: recursesubdirs createallsubdirs; Components: UM5; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\GALM"; Flags: recursesubdirs createallsubdirs; Components: GALM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\GALM"; Flags: recursesubdirs createallsubdirs; Components: GALM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\UCW"; Flags: recursesubdirs createallsubdirs; Components: UCW; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\UCW"; Flags: recursesubdirs createallsubdirs; Components: UCW; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\UCWL"; Flags: recursesubdirs createallsubdirs; Components: UCW; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\UCWL"; Flags: recursesubdirs createallsubdirs; Components: UCW; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\FLG"; Flags: recursesubdirs createallsubdirs; Components: FLG; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\FLG"; Flags: recursesubdirs createallsubdirs; Components: FLG; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\FLGL"; Flags: recursesubdirs createallsubdirs; Components: FLG; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\FLGL"; Flags: recursesubdirs createallsubdirs; Components: FLG; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\NBU"; Flags: recursesubdirs createallsubdirs; Components: NBU; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\NBU"; Flags: recursesubdirs createallsubdirs; Components: NBU; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\NBUL"; Flags: recursesubdirs createallsubdirs; Components: NBU; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\NBUL"; Flags: recursesubdirs createallsubdirs; Components: NBU; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\TMPM"; Flags: recursesubdirs createallsubdirs; Components: TMPM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\TMPM"; Flags: recursesubdirs createallsubdirs; Components: TMPM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\FMPM"; Flags: recursesubdirs createallsubdirs; Components: FMPM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\FMPM"; Flags: recursesubdirs createallsubdirs; Components: FMPM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\AFC"; Flags: recursesubdirs createallsubdirs; Components: AFC; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\AFC"; Flags: recursesubdirs createallsubdirs; Components: AFC; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\B5V2"; Flags: recursesubdirs createallsubdirs; Components: B5V2; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\B5V2"; Flags: recursesubdirs createallsubdirs; Components: B5V2; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\B194"; Flags: recursesubdirs createallsubdirs; Components: B194; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\B194"; Flags: recursesubdirs createallsubdirs; Components: B194; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\BIM2"; Flags: recursesubdirs createallsubdirs; Components: BIM2; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\BIM2"; Flags: recursesubdirs createallsubdirs; Components: BIM2; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\COL3"; Flags: recursesubdirs createallsubdirs; Components: COL3; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\COL3"; Flags: recursesubdirs createallsubdirs; Components: COL3; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\FDA"; Flags: recursesubdirs createallsubdirs; Components: FDA; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\FDA"; Flags: recursesubdirs createallsubdirs; Components: FDA; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\IMPR"; Flags: recursesubdirs createallsubdirs; Components: IMPR; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\IMPR"; Flags: recursesubdirs createallsubdirs; Components: IMPR; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\DQM"; Flags: recursesubdirs createallsubdirs; Components: DQM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\DQM"; Flags: recursesubdirs createallsubdirs; Components: DQM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\MMM3"; Flags: recursesubdirs createallsubdirs; Components: MMM3; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\MMM3"; Flags: recursesubdirs createallsubdirs; Components: MMM3; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\PDM"; Flags: recursesubdirs createallsubdirs; Components: PDM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\PDM"; Flags: recursesubdirs createallsubdirs; Components: PDM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\PLM"; Flags: recursesubdirs createallsubdirs; Components: PLM; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\PLM"; Flags: recursesubdirs createallsubdirs; Components: PLM; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\RIF"; Flags: recursesubdirs createallsubdirs; Components: RIF; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\RIF"; Flags: recursesubdirs createallsubdirs; Components: RIF; Languages: de
Source: "files\backups\english\*"; DestDir: "{app}\SGV1"; Flags: recursesubdirs createallsubdirs; Components: SGV1; Languages: en
Source: "files\backups\german\*"; DestDir: "{app}\SGV1"; Flags: recursesubdirs createallsubdirs; Components: SGV1; Languages: de

;app backups files
Source: "files\backups\files\*"; DestDir: "{app}\Vanilla"; Components: vanilla
Source: "files\backups\files\*"; DestDir: "{app}\ECM"; Components: ECM
Source: "files\backups\files\*"; DestDir: "{app}\UDM"; Components: UDM
Source: "files\backups\files\*"; DestDir: "{app}\UDML"; Components: UDM
Source: "files\backups\files\*"; DestDir: "{app}\BOP"; Components: BOP
Source: "files\backups\files\*"; DestDir: "{app}\BOPL"; Components: BOP
Source: "files\backups\files\*"; DestDir: "{app}\AAM"; Components: AAM
Source: "files\backups\files\*"; DestDir: "{app}\AAML"; Components: AAM
Source: "files\backups\files\*"; DestDir: "{app}\UM5"; Components: UM5
Source: "files\backups\files\*"; DestDir: "{app}\GALM"; Components: GALM
Source: "files\backups\files\*"; DestDir: "{app}\UCW"; Components: UCW
Source: "files\backups\files\*"; DestDir: "{app}\UCWL"; Components: UCW
Source: "files\backups\files\*"; DestDir: "{app}\FLG"; Components: FLG
Source: "files\backups\files\*"; DestDir: "{app}\FLGL"; Components: FLG
Source: "files\backups\files\*"; DestDir: "{app}\NBU"; Components: NBU
Source: "files\backups\files\*"; DestDir: "{app}\NBUL"; Components: NBU
Source: "files\backups\files\*"; DestDir: "{app}\TMPM"; Components: TMPM
Source: "files\backups\files\*"; DestDir: "{app}\FMPM"; Components: FMPM
Source: "files\backups\files\*"; DestDir: "{app}\AFC"; Components: AFC
Source: "files\backups\files\*"; DestDir: "{app}\B5V2"; Components: B5V2
Source: "files\backups\files\*"; DestDir: "{app}\B194"; Components: B194
Source: "files\backups\files\*"; DestDir: "{app}\BIM2"; Components: BIM2
Source: "files\backups\files\*"; DestDir: "{app}\COL3"; Components: COL3
Source: "files\backups\files\*"; DestDir: "{app}\FDA"; Components: FDA
Source: "files\backups\files\*"; DestDir: "{app}\IMPR"; Components: IMPR
Source: "files\backups\files\*"; DestDir: "{app}\DQM"; Components: DQM
Source: "files\backups\files\*"; DestDir: "{app}\MMM3"; Components: MMM3
Source: "files\backups\files\*"; DestDir: "{app}\PDM"; Components: PDM
Source: "files\backups\files\*"; DestDir: "{app}\PLM"; Components: PLM
Source: "files\backups\files\*"; DestDir: "{app}\RIF"; Components: RIF
Source: "files\backups\files\*"; DestDir: "{app}\SGV1"; Components: SGV1

;app res
Source: "files\backups\res\stbof.res"; DestDir: "{app}\Vanilla"; Flags: nocompression; Components: vanilla
Source: "files\backups\res\stbof.res"; DestDir: "{app}\ECM"; Flags: nocompression; Components: ECM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\UDM"; Flags: nocompression; Components: UDM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\UDML"; Flags: nocompression; Components: UDM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\BOP"; Flags: nocompression; Components: BOP
Source: "files\backups\res\stbof.res"; DestDir: "{app}\BOPL"; Flags: nocompression; Components: BOP
Source: "files\backups\res\stbof.res"; DestDir: "{app}\AAM"; Flags: nocompression; Components: AAM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\AAML"; Flags: nocompression; Components: AAM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\UM5"; Flags: nocompression; Components: UM5
Source: "files\backups\res\stbof.res"; DestDir: "{app}\GALM"; Flags: nocompression; Components: GALM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\UCW"; Flags: nocompression; Components: UCW
Source: "files\backups\res\stbof.res"; DestDir: "{app}\UCWL"; Flags: nocompression; Components: UCW
Source: "files\backups\res\stbof.res"; DestDir: "{app}\FLG"; Flags: nocompression; Components: FLG
Source: "files\backups\res\stbof.res"; DestDir: "{app}\FLGL"; Flags: nocompression; Components: FLG
Source: "files\backups\res\stbof.res"; DestDir: "{app}\NBU"; Flags: nocompression; Components: NBU
Source: "files\backups\res\stbof.res"; DestDir: "{app}\NBUL"; Flags: nocompression; Components: NBU
Source: "files\backups\res\stbof.res"; DestDir: "{app}\TMPM"; Flags: nocompression; Components: TMPM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\FMPM"; Flags: nocompression; Components: FMPM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\AFC"; Flags: nocompression; Components: AFC
Source: "files\backups\res\stbof.res"; DestDir: "{app}\B5V2"; Flags: nocompression; Components: B5V2
Source: "files\backups\res\stbof.res"; DestDir: "{app}\B194"; Flags: nocompression; Components: B194
Source: "files\backups\res\stbof.res"; DestDir: "{app}\BIM2"; Flags: nocompression; Components: BIM2
Source: "files\backups\res\stbof.res"; DestDir: "{app}\COL3"; Flags: nocompression; Components: COL3
Source: "files\backups\res\stbof.res"; DestDir: "{app}\FDA"; Flags: nocompression; Components: FDA
Source: "files\backups\res\stbof.res"; DestDir: "{app}\IMPR"; Flags: nocompression; Components: IMPR
Source: "files\backups\res\stbof.res"; DestDir: "{app}\DQM"; Flags: nocompression; Components: DQM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\MMM3"; Flags: nocompression; Components: MMM3
Source: "files\backups\res\stbof.res"; DestDir: "{app}\PDM"; Flags: nocompression; Components: PDM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\PLM"; Flags: nocompression; Components: PLM
Source: "files\backups\res\stbof.res"; DestDir: "{app}\RIF"; Flags: nocompression; Components: RIF
Source: "files\backups\res\stbof.res"; DestDir: "{app}\SGV1"; Flags: nocompression; Components: SGV1

;app open avi
Source: "files\backups\video\open.avi"; DestDir: "{app}\Vanilla\ENGLISH"; Components: vanilla; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\Vanilla\GERMAN"; Components: vanilla; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\ECM\ENGLISH"; Components: ECM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\ECM\GERMAN"; Components: ECM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\BOP\ENGLISH"; Components: BOP; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\BOP\GERMAN"; Components: BOP; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\BOPL\ENGLISH"; Components: BOP; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\BOPL\GERMAN"; Components: BOP; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\AAM\ENGLISH"; Components: AAM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\AAM\GERMAN"; Components: AAM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\AAML\ENGLISH"; Components: AAM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\AAML\GERMAN"; Components: AAM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\UM5\ENGLISH"; Components: UM5; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\UM5\GERMAN"; Components: UM5; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\GALM\ENGLISH"; Components: GALM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\GALM\GERMAN"; Components: GALM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\FLG\ENGLISH"; Components: FLG; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\FLG\GERMAN"; Components: FLG; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\FLGL\ENGLISH"; Components: FLG; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\FLGL\GERMAN"; Components: FLG; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\NBU\ENGLISH"; Components: NBU; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\NBU\GERMAN"; Components: NBU; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\NBUL\ENGLISH"; Components: NBU; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\NBUL\GERMAN"; Components: NBU; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\TMPM\ENGLISH"; Components: TMPM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\TMPM\GERMAN"; Components: TMPM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\FMPM\ENGLISH"; Components: FMPM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\FMPM\GERMAN"; Components: FMPM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\AFC\ENGLISH"; Components: AFC; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\AFC\GERMAN"; Components: AFC; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\B5V2\ENGLISH"; Components: B5V2; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\B5V2\GERMAN"; Components: B5V2; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\BIM2\ENGLISH"; Components: BIM2; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\BIM2\GERMAN"; Components: BIM2; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\COL3\ENGLISH"; Components: COL3; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\COL3\GERMAN"; Components: COL3; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\FDA\ENGLISH"; Components: FDA; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\FDA\GERMAN"; Components: FDA; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\IMPR\ENGLISH"; Components: IMPR; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\IMPR\GERMAN"; Components: IMPR; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\DQM\ENGLISH"; Components: DQM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\DQM\GERMAN"; Components: DQM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\MMM3\ENGLISH"; Components: MMM3; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\MMM3\GERMAN"; Components: MMM3; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\PDM\ENGLISH"; Components: PDM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\PDM\GERMAN"; Components: PDM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\PLM\ENGLISH"; Components: PLM; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\PLM\GERMAN"; Components: PLM; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\RIF\ENGLISH"; Components: RIF; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\RIF\GERMAN"; Components: RIF; Languages: de
Source: "files\backups\video\open.avi"; DestDir: "{app}\SGV1\ENGLISH"; Components: SGV1; Languages: en
Source: "files\backups\video\open.avi"; DestDir: "{app}\SGV1\GERMAN"; Components: SGV1; Languages: de

; files\backups\alt
Source: "files\backups\alt\alt.res"; DestDir: "{app}\Vanilla"; Flags: nocompression; Components: vanilla; Tasks: vanillaB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\ECM"; Flags: nocompression; Components: ECM; Tasks: ECMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\BOP"; Flags: nocompression; Components: BOP; Tasks: BOPB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\BOPL"; Flags: nocompression; Components: BOP; Tasks: BOPB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\AAM"; Flags: nocompression; Components: AAM; Tasks: AAMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\AAML"; Flags: nocompression; Components: AAM; Tasks: AAMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\PDM"; Flags: nocompression; Components: PDM; Tasks: PDMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\PLM"; Flags: nocompression; Components: PLM; Tasks: PLMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\RIF"; Flags: nocompression; Components: RIF; Tasks: RIFB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\SGV1"; Flags: nocompression; Components: SGV1; Tasks: SGV1B800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\FLG"; Flags: nocompression; Components: FLG; Tasks: FLGB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\FLGL"; Flags: nocompression; Components: FLG; Tasks: FLGB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\NBU"; Flags: nocompression; Components: NBU; Tasks: NBUB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\NBUL"; Flags: nocompression; Components: NBU; Tasks: NBUB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\TMPM"; Flags: nocompression; Components: TMPM; Tasks: TMPMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\FMPM"; Flags: nocompression; Components: FMPM; Tasks: FMPMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\B5V2"; Flags: nocompression; Components: B5V2; Tasks: B5V2B800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\B194"; Flags: nocompression; Components: B194; Tasks: B194B800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\BIM2"; Flags: nocompression; Components: BIM2; Tasks: BIM2B800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\COL3"; Flags: nocompression; Components: COL3; Tasks: COL3B800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\FDA"; Flags: nocompression; Components: FDA; Tasks: FDAB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\IMPR"; Flags: nocompression; Components: IMPR; Tasks: IMPRB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\DQM"; Flags: nocompression; Components: DQM; Tasks: DQMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\MMM3"; Flags: nocompression; Components: MMM3; Tasks: MMM3B800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\UCW"; Flags: nocompression; Components: UCW; Tasks: UCWB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\UCWL"; Flags: nocompression; Components: UCW; Tasks: UCWB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\GALM"; Flags: nocompression; Components: GALM; Tasks: GALMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\UDM"; Flags: nocompression; Components: UDM; Tasks: UDMB800
Source: "files\backups\alt\alt.res"; DestDir: "{app}\UDML"; Flags: nocompression; Components: UDM; Tasks: UDMB800

; files\1024alt
Source: "files\1024alt\alt.res"; DestDir: "{app}\Vanilla"; Flags: nocompression; Components: vanilla; Tasks: vanillaB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\ECM"; Flags: nocompression; Components: ECM; Tasks: ECMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\BOP"; Flags: nocompression; Components: BOP; Tasks: BOPB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\BOPL"; Flags: nocompression; Components: BOP; Tasks: BOPB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\AAM"; Flags: nocompression; Components: AAM; Tasks: AAMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\AAML"; Flags: nocompression; Components: AAM; Tasks: AAMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\PDM"; Flags: nocompression; Components: PDM; Tasks: PDMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\PLM"; Flags: nocompression; Components: PLM; Tasks: PLMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\RIF"; Flags: nocompression; Components: RIF; Tasks: RIFB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\SGV1"; Flags: nocompression; Components: SGV1; Tasks: SGV1B1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\FLG"; Flags: nocompression; Components: FLG; Tasks: FLGB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\FLGL"; Flags: nocompression; Components: FLG; Tasks: FLGB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\NBU"; Flags: nocompression; Components: NBU; Tasks: NBUB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\NBUL"; Flags: nocompression; Components: NBU; Tasks: NBUB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\TMPM"; Flags: nocompression; Components: TMPM; Tasks: TMPMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\FMPM"; Flags: nocompression; Components: FMPM; Tasks: FMPMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\AFC"; Flags: nocompression; Components: AFC; Tasks: AFCBAFC
Source: "files\1024alt\alt.res"; DestDir: "{app}\B5V2"; Flags: nocompression; Components: B5V2; Tasks: B5V2B1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\B194"; Flags: nocompression; Components: B194; Tasks: B194B1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\BIM2"; Flags: nocompression; Components: BIM2; Tasks: BIM2B1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\COL3"; Flags: nocompression; Components: COL3; Tasks: COL3B1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\FDA"; Flags: nocompression; Components: FDA; Tasks: FDAB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\IMPR"; Flags: nocompression; Components: IMPR; Tasks: IMPRB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\DQM"; Flags: nocompression; Components: DQM; Tasks: DQMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\MMM3"; Flags: nocompression; Components: MMM3; Tasks: MMM3B1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\UCW"; Flags: nocompression; Components: UCW; Tasks: UCWB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\UCWL"; Flags: nocompression; Components: UCW; Tasks: UCWB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\UM5"; Flags: nocompression; Components: UM5; Tasks: UM5BUM5
Source: "files\1024alt\alt.res"; DestDir: "{app}\GALM"; Flags: nocompression; Components: GALM; Tasks: GALMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\UDM"; Flags: nocompression; Components: UDM; Tasks: UDMB1024
Source: "files\1024alt\alt.res"; DestDir: "{app}\UDML"; Flags: nocompression; Components: UDM; Tasks: UDMB1024

; files\1366alt
Source: "files\1366alt\alt.res"; DestDir: "{app}\Vanilla"; Flags: nocompression; Components: vanilla; Tasks: vanillaB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\ECM"; Flags: nocompression; Components: ECM; Tasks: ECMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\BOP"; Flags: nocompression; Components: BOP; Tasks: BOPB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\BOPL"; Flags: nocompression; Components: BOP; Tasks: BOPB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\AAM"; Flags: nocompression; Components: AAM; Tasks: AAMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\AAML"; Flags: nocompression; Components: AAM; Tasks: AAMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\PDM"; Flags: nocompression; Components: PDM; Tasks: PDMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\PLM"; Flags: nocompression; Components: PLM; Tasks: PLMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\RIF"; Flags: nocompression; Components: RIF; Tasks: RIFB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\SGV1"; Flags: nocompression; Components: SGV1; Tasks: SGV1B1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\FLG"; Flags: nocompression; Components: FLG; Tasks: FLGB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\FLGL"; Flags: nocompression; Components: FLG; Tasks: FLGB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\NBU"; Flags: nocompression; Components: NBU; Tasks: NBUB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\NBUL"; Flags: nocompression; Components: NBU; Tasks: NBUB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\TMPM"; Flags: nocompression; Components: TMPM; Tasks: TMPMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\FMPM"; Flags: nocompression; Components: FMPM; Tasks: FMPMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\AFC"; Flags: nocompression; Components: AFC; Tasks: AFCB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\B5V2"; Flags: nocompression; Components: B5V2; Tasks: B5V2B1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\B194"; Flags: nocompression; Components: B194; Tasks: B194B1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\BIM2"; Flags: nocompression; Components: BIM2; Tasks: BIM2B1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\COL3"; Flags: nocompression; Components: COL3; Tasks: COL3B1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\FDA"; Flags: nocompression; Components: FDA; Tasks: FDAB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\IMPR"; Flags: nocompression; Components: IMPR; Tasks: IMPRB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\DQM"; Flags: nocompression; Components: DQM; Tasks: DQMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\MMM3"; Flags: nocompression; Components: MMM3; Tasks: MMM3B1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\UCW"; Flags: nocompression; Components: UCW; Tasks: UCWB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\UCWL"; Flags: nocompression; Components: UCW; Tasks: UCWB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\UM5"; Flags: nocompression; Components: UM5; Tasks: UM5B1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\GALM"; Flags: nocompression; Components: GALM; Tasks: GALMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\UDM"; Flags: nocompression; Components: UDM; Tasks: UDMB1366
Source: "files\1366alt\alt.res"; DestDir: "{app}\UDML"; Flags: nocompression; Components: UDM; Tasks: UDMB1366

;temp backup res
Source: "files\backups\res\english\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Languages: de
Source: "files\backups\res\english\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Languages: en
Source: "files\backups\res\german\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Languages: de

; mod files
Source: "ECM\ECME\mod\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Languages: en
Source: "ECM\ECMG\mod\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Languages: de
Source: "BOP\BOPE\mod\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Languages: en
Source: "BOP\BOPG\mod\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Languages: de
Source: "BOP\BOPE\mod\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Languages: en
Source: "BOP\BOPG\mod\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Languages: de
Source: "AAM\AAM\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM
Source: "AAM\AAM\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM
Source: "PDM\PDM\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM
Source: "PLM\PLME\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Languages: en
Source: "PLM\PLMG\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Languages: de
Source: "RIF\RIF\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF
Source: "SGV1\SGV1\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1
Source: "FLG\FLG\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG
Source: "FLG\FLG\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG
Source: "FLG\FLGL\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG
Source: "NBU\NBU\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU
Source: "NBU\NBU\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU
Source: "TMPM\TMPM\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM
Source: "FMPM\FMPM\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM
Source: "AFC\AFC\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC
Source: "B5V2\B5V2\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2
Source: "B194\B194\*"; DestDir: "{tmp}\B194\mod"; Components: B194
Source: "BIM2\BIM2\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2
Source: "COL3\COL3\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3
Source: "FDA\FDA\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA
Source: "IMPR\IMPR\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR
Source: "DQM\DQM\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM
Source: "MMM3\MMM3\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3
Source: "UCW\UCW\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW
Source: "UCW\UCW\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW
Source: "UCW\UCWL\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW
Source: "UM5\UM5\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5
Source: "GALM\GALM\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM
Source: "UDM\UDM\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM
Source: "UDM\UDM\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM
Source: "UDM\UDML\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM

; vanilla GUI patch 800
Source: "vanilla\gui\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillapatch3

; files\1024
Source: "files\1024\botf1\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillaB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillaB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Tasks: ECMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Tasks: ECMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Tasks: BOPB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Tasks: BOPB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Tasks: AAMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Tasks: AAMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Tasks: AAMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Tasks: AAMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM; Tasks: PDMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM; Tasks: PDMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Tasks: PLMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Tasks: PLMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Tasks: RIFB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Tasks: RIFB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Tasks: SGV1B1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Tasks: SGV1B1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Tasks: FLGB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Tasks: FLGB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Tasks: FLGB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Tasks: FLGB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU; Tasks: NBUB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU; Tasks: NBUB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Tasks: NBUB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Tasks: NBUB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM; Tasks: TMPMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM; Tasks: TMPMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Tasks: FMPMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Tasks: FMPMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC; Tasks:  AFCBAFC
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC; Tasks:  AFCBAFC; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Tasks: B5V2B1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Tasks: B5V2B1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Tasks: B194B1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Tasks: B194B1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Tasks: BIM2B1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Tasks: BIM2B1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Tasks: COL3B1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Tasks: COL3B1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Tasks: FDAB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Tasks: FDAB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Tasks: IMPRB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Tasks: IMPRB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Tasks: DQMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Tasks: DQMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Tasks: MMM3B1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Tasks: MMM3B1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Tasks: UCWB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Tasks: UCWB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Tasks: UCWB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Tasks: UCWB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Tasks: GALMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Tasks: GALMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Tasks: UDMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Tasks: UDMB1024; Languages: de
Source: "files\1024\botf1\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Tasks: UDMB1024
Source: "files\1024\botf1g\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Tasks: UDMB1024; Languages: de

; files\1366
Source: "files\1366\botf1\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillaB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillaB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Tasks: ECMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\ECM\mod"; Components: ECM; Tasks: ECMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Tasks: BOPB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Tasks: BOPB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Tasks: AAMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Tasks: AAMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Tasks: AAMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Tasks: AAMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM; Tasks: PDMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM; Tasks: PDMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Tasks: PLMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Tasks: PLMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Tasks: RIFB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Tasks: RIFB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Tasks: SGV1B1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Tasks: SGV1B1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Tasks: FLGB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Tasks: FLGB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Tasks: FLGB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Tasks: FLGB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU; Tasks: NBUB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU; Tasks: NBUB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Tasks: NBUB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Tasks: NBUB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM; Tasks: TMPMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM; Tasks: TMPMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Tasks: FMPMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Tasks: FMPMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC; Tasks: AFCB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC; Tasks: AFCB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Tasks: B5V2B1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Tasks: B5V2B1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Tasks: B194B1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Tasks: B194B1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Tasks: BIM2B1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Tasks: BIM2B1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Tasks: COL3B1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Tasks: COL3B1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Tasks: FDAB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Tasks: FDAB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Tasks: IMPRB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Tasks: IMPRB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Tasks: DQMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Tasks: DQMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Tasks: MMM3B1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Tasks: MMM3B1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Tasks: UCWB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Tasks: UCWB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Tasks: UCWB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Tasks: UCWB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5; Tasks: UM5B1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5; Tasks: UM5B1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Tasks: GALMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Tasks: GALMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Tasks: UDMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Tasks: UDMB1366; Languages: de
Source: "files\1366\botf1\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Tasks: UDMB1366
Source: "files\1366\botf1g\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Tasks: UDMB1366; Languages: de

; files\basic
Source: "files\basic\*"; DestDir: "{tmp}\vanilla"; Flags: nocompression; Components: vanilla
Source: "files\basic\*"; DestDir: "{tmp}\ECM"; Flags: nocompression; Components: ECM
Source: "files\basic\*"; DestDir: "{tmp}\BOP"; Flags: nocompression; Components: BOP
Source: "files\basic\*"; DestDir: "{tmp}\BOPL"; Flags: nocompression; Components: BOP
Source: "files\basic\*"; DestDir: "{tmp}\AAM"; Flags: nocompression; Components: AAM
Source: "files\basic\*"; DestDir: "{tmp}\AAML"; Flags: nocompression; Components: AAM
Source: "files\basic\*"; DestDir: "{tmp}\PDM"; Flags: nocompression; Components: PDM
Source: "files\basic\*"; DestDir: "{tmp}\PLM"; Flags: nocompression; Components: PLM
Source: "files\basic\*"; DestDir: "{tmp}\RIF"; Flags: nocompression; Components: RIF
Source: "files\basic\*"; DestDir: "{tmp}\SGV1"; Flags: nocompression; Components: SGV1
Source: "files\basic\*"; DestDir: "{tmp}\FLG"; Flags: nocompression; Components: FLG
Source: "files\basic\*"; DestDir: "{tmp}\FLGL"; Flags: nocompression; Components: FLG
Source: "files\basic\*"; DestDir: "{tmp}\NBU"; Flags: nocompression; Components: NBU
Source: "files\basic\*"; DestDir: "{tmp}\NBUL"; Flags: nocompression; Components: NBU
Source: "files\basic\*"; DestDir: "{tmp}\TMPM"; Flags: nocompression; Components: TMPM
Source: "files\basic\*"; DestDir: "{tmp}\FMPM"; Flags: nocompression; Components: FMPM
Source: "files\basic\*"; DestDir: "{tmp}\AFC"; Flags: nocompression; Components: AFC
Source: "files\basic\*"; DestDir: "{tmp}\B5V2"; Flags: nocompression; Components: B5V2
Source: "files\basic\*"; DestDir: "{tmp}\B194"; Flags: nocompression; Components: B194
Source: "files\basic\*"; DestDir: "{tmp}\BIM2"; Flags: nocompression; Components: BIM2
Source: "files\basic\*"; DestDir: "{tmp}\COL3"; Flags: nocompression; Components: COL3
Source: "files\basic\*"; DestDir: "{tmp}\FDA"; Flags: nocompression; Components: FDA
Source: "files\basic\*"; DestDir: "{tmp}\IMPR"; Flags: nocompression; Components: IMPR
Source: "files\basic\*"; DestDir: "{tmp}\DQM"; Flags: nocompression; Components: DQM
Source: "files\basic\*"; DestDir: "{tmp}\MMM3"; Flags: nocompression; Components: MMM3
Source: "files\basic\*"; DestDir: "{tmp}\UCW"; Flags: nocompression; Components: UCW
Source: "files\basic\*"; DestDir: "{tmp}\UCWL"; Flags: nocompression; Components: UCW
Source: "files\basic\*"; DestDir: "{tmp}\UM5"; Flags: nocompression; Components: UM5
Source: "files\basic\*"; DestDir: "{tmp}\GALM"; Flags: nocompression; Components: GALM
Source: "files\basic\*"; DestDir: "{tmp}\UDM"; Flags: nocompression; Components: UDM
Source: "files\basic\*"; DestDir: "{tmp}\UDML"; Flags: nocompression; Components: UDM

;vanilla
Source: "vanilla\Tutorials\*"; DestDir: "{app}\vanilla"; Components: vanilla; Tasks: vanillaB800 vanillaB1024; Languages: en
Source: "vanilla\Tutorialsg\*"; DestDir: "{app}\vanilla"; Components: vanilla; Tasks: vanillaB800 vanillaB1024; Languages: de
Source: "exe\vanilla.exe"; DestDir: "{tmp}\vanilla"; Components: vanilla
;800
Source: "vanilla\text\*"; DestDir: "{tmp}\vanilla"; Flags: nocompression; Components: vanilla
Source: "vanilla\hob\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillapatch
Source: "vanilla\gif\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillapatch1
Source: "vanilla\build\*"; DestDir: "{tmp}\vanilla\mod"; Components: vanilla; Tasks: vanillapatch2
;1024
Source: "vanilla\treke\1024normal\trek.exe"; DestDir: "{app}\vanilla"; Components: vanilla; Tasks: vanillaB1024; Languages: en
Source: "vanilla\trekg\1024normal\trek.exe"; DestDir: "{app}\vanilla"; Components: vanilla; Tasks: vanillaB1024; Languages: de
;1366
Source: "vanilla\treke\1366normal\trek.exe"; DestDir: "{app}\vanilla"; Components: vanilla; Tasks: vanillaB1366; Languages: en
Source: "vanilla\trekg\1366normal\trek.exe"; DestDir: "{app}\vanilla"; Components: vanilla; Tasks: vanillaB1366; Languages: de

;ECM
Source: "files\QD\QD\ecm4.0_patches\*"; DestDir: "{app}\ECM\patches"; Components: ECM
Source: "exe\ECM.exe"; DestDir: "{tmp}\ECM"; Components: ECM
;800
Source: "files\readme\ECM_readme.htm"; DestDir: "{app}\ECM"; Flags: nocompression; Components: ECM
Source: "ECM\text\*"; DestDir: "{tmp}\ECM"; Flags: nocompression; Components: ECM
Source: "ECM\treke\normal\trek.exe"; DestDir: "{app}\ECM"; Components: ECM; Tasks: ECMB800; Languages: en
Source: "ECM\trekg\normal\trek.exe"; DestDir: "{app}\ECM"; Components: ECM; Tasks: ECMB800; Languages: de
;1024
Source: "ECM\treke\1024normal\trek.exe"; DestDir: "{app}\ECM"; Components: ECM; Tasks: ECMB1024; Languages: en
Source: "ECM\trekg\1024normal\trek.exe"; DestDir: "{app}\ECM"; Components: ECM; Tasks: ECMB1024; Languages: de
;1366
Source: "ECM\treke\1366normal\trek.exe"; DestDir: "{app}\ECM"; Components: ECM; Tasks: ECMB1366; Languages: en
Source: "ECM\trekg\1366normal\trek.exe"; DestDir: "{app}\ECM"; Components: ECM; Tasks: ECMB1366; Languages: de

;BOP
Source: "BOP\evade\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Tasks: BOPpatch
Source: "BOP\evade\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPpatch
Source: "files\QD\QD\bop_patches\*"; DestDir: "{app}\BOP\patches"; Components: BOP
Source: "exe\BOP.exe"; DestDir: "{tmp}\BOP"; Components: BOP
;800
Source: "files\readme\BOP_readme.htm"; DestDir: "{app}\BOP"; Flags: nocompression; Components: BOP; Languages: en
Source: "files\readme\BOP_readmeg.htm"; DestDir: "{app}\BOP"; DestName: "BOP_readme.htm"; Components: BOP; Languages: de
Source: "BOP\text\*"; DestDir: "{tmp}\BOP"; Flags: nocompression; Components: BOP
Source: "BOP\textl\*"; DestDir: "{tmp}\BOPL"; Flags: nocompression; Components: BOP
Source: "BOP\treke\normal\trek.exe"; DestDir: "{app}\BOP"; Components: BOP; Tasks: BOPB800; Languages: en
Source: "BOP\treke\large\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB800; Languages: en
Source: "BOP\treke\largezoom\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB800\v30; Languages: en
Source: "BOP\trekg\normal\trek.exe"; DestDir: "{app}\BOP"; Components: BOP; Tasks: BOPB800; Languages: de
Source: "BOP\trekg\large\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB800; Languages: de
Source: "BOP\trekg\largezoom\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB800\v30; Languages: de
;1024
Source: "BOP\1024\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Tasks: BOPB1024
Source: "BOP\1024\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPB1024
Source: "BOP\treke\1024normal\trek.exe"; DestDir: "{app}\BOP"; Components: BOP; Tasks: BOPB1024; Languages: en
Source: "BOP\treke\1024large\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1024; Languages: en
Source: "BOP\treke\1024largezoom\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1024\v40; Languages: en
Source: "BOP\trekg\1024normal\trek.exe"; DestDir: "{app}\BOP"; Components: BOP; Tasks: BOPB1024; Languages: de
Source: "BOP\trekg\1024large\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1024; Languages: de
Source: "BOP\trekg\1024largezoom\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1024\v40; Languages: de
;1366
Source: "BOP\1366\*"; DestDir: "{tmp}\BOP\mod"; Components: BOP; Tasks: BOPB1366
Source: "BOP\1366\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPB1366
Source: "BOP\treke\1366normal\trek.exe"; DestDir: "{app}\BOP"; Components: BOP; Tasks: BOPB1366; Languages: en
Source: "BOP\treke\1366large\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1366; Languages: en
Source: "BOP\treke\1366largezoom\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1366\v40; Languages: en
Source: "BOP\trekg\1366normal\trek.exe"; DestDir: "{app}\BOP"; Components: BOP; Tasks: BOPB1366; Languages: de
Source: "BOP\trekg\1366large\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1366; Languages: de
Source: "BOP\trekg\1366largezoom\trek.exe"; DestDir: "{app}\BOPL"; Components: BOP; Tasks: BOPB1366\v40; Languages: de
Source: "files\view\*"; DestDir: "{tmp}\BOPL\mod"; Components: BOP; Tasks: BOPB1366\v40 BOPB800\v30 BOPB1024\v40

;AAM
Source: "AAM\sound\*"; DestDir: "{tmp}\AAM\sound"; Components: AAM
Source: "AAM\sound\*"; DestDir: "{tmp}\AAML\sound"; Components: AAM
Source: "exe\AAM.exe"; DestDir: "{tmp}\AAM"; Components: AAM
;800
Source: "files\readme\AAM_readme.htm"; DestDir: "{app}\AAM"; Flags: nocompression; Components: AAM
Source: "AAM\text\*"; DestDir: "{tmp}\AAM"; Flags: nocompression; Components: AAM
Source: "AAM\textl\*"; DestDir: "{tmp}\AAML"; Flags: nocompression; Components: AAM
Source: "AAM\trek\normal\trek.exe"; DestDir: "{app}\AAM"; Components: AAM; Tasks: AAMB800
Source: "AAM\trek\large\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB800
Source: "AAM\trek\largezoom\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB800\v30
Source: "AAM\trekb\normal\trek.exe"; DestDir: "{app}\AAM"; Components: AAM; Tasks: AAMB800 and build
Source: "AAM\trekb\large\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB800 and build
Source: "AAM\trekb\largezoom\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB800\v30 and build
;1024
Source: "AAM\1024\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Tasks: AAMB1024
Source: "AAM\1024\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Tasks: AAMB1024
Source: "AAM\trek\1024normal\trek.exe"; DestDir: "{app}\AAM"; Components: AAM; Tasks: AAMB1024
Source: "AAM\trek\1024large\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1024
Source: "AAM\trek\1024largezoom\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1024\v40
Source: "AAM\trekb\1024normal\trek.exe"; DestDir: "{app}\AAM"; Components: AAM; Tasks: AAMB1024 and build
Source: "AAM\trekb\1024large\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1024 and build
Source: "AAM\trekb\1024largezoom\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1024\v40 and build
;1366
Source: "AAM\1366\*"; DestDir: "{tmp}\AAM\mod"; Components: AAM; Tasks: AAMB1366
Source: "AAM\1366\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Tasks: AAMB1366
Source: "AAM\trek\1366normal\trek.exe"; DestDir: "{app}\AAM"; Components: AAM; Tasks: AAMB1366
Source: "AAM\trek\1366large\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1366
Source: "AAM\trek\1366largezoom\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1366\v40
Source: "AAM\trekb\1366normal\trek.exe"; DestDir: "{app}\AAM"; Components: AAM; Tasks: AAMB1366 and build
Source: "AAM\trekb\1366large\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1366 and build
Source: "AAM\trekb\1366largezoom\trek.exe"; DestDir: "{app}\AAML"; Components: AAM; Tasks: AAMB1366\v40 and build
Source: "files\view\*"; DestDir: "{tmp}\AAML\mod"; Components: AAM; Tasks: AAMB1366\v40 AAMB800\v30 AAMB1024\v40

;PDM
Source: "vanilla\hob\*"; DestDir: "{tmp}\PDM\mod"; Components: PDM; Tasks: PDMpatch
Source: "PDM\doc\*"; DestDir: "{app}\PDM"; Flags: recursesubdirs createallsubdirs; Components: PDM
Source: "exe\PDM.exe"; DestDir: "{tmp}\PDM"; Components: PDM
;800
Source: "files\readme\PDM_readme.htm"; DestDir: "{app}\PDM"; Flags: nocompression; Components: PDM
Source: "PDM\text\*"; DestDir: "{tmp}\PDM"; Flags: nocompression; Components: PDM
Source: "PDM\trek\normal\trek.exe"; DestDir: "{app}\PDM"; Components: PDM; Tasks: PDMB800
;1024
Source: "PDM\trek\1024normal\trek.exe"; DestDir: "{app}\PDM"; Components: PDM; Tasks: PDMB1024
;1366
Source: "PDM\trek\1366normal\trek.exe"; DestDir: "{app}\PDM"; Components: PDM; Tasks: PDMB1366

;PLM
Source: "vanilla\hob\*"; DestDir: "{tmp}\PLM\mod"; Components: PLM; Tasks: PLMpatch
Source: "exe\PLM.exe"; DestDir: "{tmp}\PLM"; Components: PLM
;800
Source: "files\readme\PLM_readme.htm"; DestDir: "{app}\PLM"; Flags: nocompression; Components: PLM; Languages: en
Source: "files\readme\PLM_readmeg.htm"; DestDir: "{app}\PLM"; DestName: "PLM_readme.htm"; Flags: nocompression; Components: PLM; Languages: de
Source: "PLM\text\*"; DestDir: "{tmp}\PLM"; Flags: nocompression; Components: PLM
Source: "PLM\treke\normal\trek.exe"; DestDir: "{app}\PLM"; Components: PLM; Tasks: PLMB800; Languages: en
Source: "PLM\trekg\normal\trek.exe"; DestDir: "{app}\PLM"; Components: PLM; Tasks: PLMB800; Languages: de
;1024
Source: "PLM\treke\1024normal\trek.exe"; DestDir: "{app}\PLM"; Components: PLM; Tasks: PLMB1024; Languages: en
Source: "PLM\trekg\1024normal\trek.exe"; DestDir: "{app}\PLM"; Components: PLM; Tasks: PLMB1024; Languages: de
;1366
Source: "PLM\treke\1366normal\trek.exe"; DestDir: "{app}\PLM"; Components: PLM; Tasks: PLMB1366; Languages: en
Source: "PLM\trekg\1366normal\trek.exe"; DestDir: "{app}\PLM"; Components: PLM; Tasks: PLMB1366; Languages: de

;RIF
Source: "RIF\sound\*"; DestDir: "{tmp}\RIF\sound"; Components: RIF
Source: "exe\RIF.exe"; DestDir: "{tmp}\RIF"; Components: RIF
;800
Source: "files\readme\RIF_readme.htm"; DestDir: "{app}\RIF"; Flags: nocompression; Components: RIF
Source: "RIF\text\*"; DestDir: "{tmp}\RIF"; Flags: nocompression; Components: RIF
Source: "RIF\trek\normal\trek.exe"; DestDir: "{app}\RIF"; Components: RIF; Tasks: RIFB800
;1024
Source: "RIF\1024\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Tasks: RIFB1024
Source: "RIF\trek\1024normal\trek.exe"; DestDir: "{app}\RIF"; Components: RIF; Tasks: RIFB1024
;1366
Source: "RIF\1366\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF; Tasks: RIFB1366
Source: "RIF\combat\*"; DestDir: "{tmp}\RIF\mod"; Components: RIF
Source: "RIF\trek\1366normal\trek.exe"; DestDir: "{app}\RIF"; Components: RIF; Tasks: RIFB1366

;SGV1
Source: "exe\SGV1.exe"; DestDir: "{tmp}\SGV1"; Components: SGV1
;800
Source: "files\readme\SGV1_readme.htm"; DestDir: "{app}\SGV1"; Flags: nocompression; Components: SGV1
Source: "SGV1\text\*"; DestDir: "{tmp}\SGV1"; Flags: nocompression; Components: SGV1
Source: "SGV1\trek\normal\trek.exe"; DestDir: "{app}\SGV1"; Components: SGV1; Tasks: SGV1B800
;1024
Source: "SGV1\1024\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Tasks: SGV1B1024
Source: "SGV1\trek\1024normal\trek.exe"; DestDir: "{app}\SGV1"; Components: SGV1; Tasks: SGV1B1024
;1366
Source: "SGV1\1366\*"; DestDir: "{tmp}\SGV1\mod"; Components: SGV1; Tasks: SGV1B1366
Source: "SGV1\trek\1366normal\trek.exe"; DestDir: "{app}\SGV1"; Components: SGV1; Tasks: SGV1B1366

;FLG
Source: "exe\FLG.exe"; DestDir: "{tmp}\FLG"; Components: FLG
;800
Source: "files\readme\FLG_readme.htm"; DestDir: "{app}\FLG"; Flags: nocompression; Components: FLG
Source: "FLG\text\*"; DestDir: "{tmp}\FLG"; Flags: nocompression; Components: FLG
Source: "FLG\textl\*"; DestDir: "{tmp}\FLGL"; Flags: nocompression; Components: FLG
Source: "FLG\trek\normal\trek.exe"; DestDir: "{app}\FLG"; Components: FLG; Tasks: FLGB800
Source: "FLG\trek\large\trek.exe"; DestDir: "{app}\FLGL"; Components: FLG; Tasks: FLGB800
Source: "FLG\trek\largezoom\trek.exe"; DestDir: "{app}\FLGL"; Components: FLG; Tasks: FLGB800\v30
;1024
Source: "FLG\1024\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Tasks: FLGB1024
Source: "FLG\1024\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Tasks: FLGB1024
Source: "FLG\trek\1024normal\trek.exe"; DestDir: "{app}\FLG"; Components: FLG; Tasks: FLGB1024
Source: "FLG\trek\1024large\trek.exe"; DestDir: "{app}\FLGL"; Components: FLG; Tasks: FLGB1024
Source: "FLG\trek\1024largezoom\trek.exe"; DestDir: "{app}\FLGL"; Components: FLG; Tasks: FLGB1024\v40
;1366
Source: "FLG\1366\*"; DestDir: "{tmp}\FLG\mod"; Components: FLG; Tasks: FLGB1366
Source: "FLG\1366\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Tasks: FLGB1366
Source: "FLG\trek\1366normal\trek.exe"; DestDir: "{app}\FLG"; Components: FLG; Tasks: FLGB1366
Source: "FLG\trek\1366large\trek.exe"; DestDir: "{app}\FLGL"; Components: FLG; Tasks: FLGB1366
Source: "FLG\trek\1366largezoom\trek.exe"; DestDir: "{app}\FLGL"; Components: FLG; Tasks: FLGB1366\v40
Source: "files\view\*"; DestDir: "{tmp}\FLGL\mod"; Components: FLG; Tasks: FLGB1366\v40 FLGB800\v30 FLGB1024\v40

;NBU
Source: "exe\NBU.exe"; DestDir: "{tmp}\NBU"; Components: NBU
;800
Source: "files\readme\NBU_readme.htm"; DestDir: "{app}\NBU"; Flags: nocompression; Components: NBU
Source: "NBU\text\*"; DestDir: "{tmp}\NBU"; Flags: nocompression; Components: NBU
Source: "NBU\textl\*"; DestDir: "{tmp}\NBUL"; Flags: nocompression; Components: NBU
Source: "NBU\trek\normal\trek.exe"; DestDir: "{app}\NBU"; Components: NBU; Tasks: NBUB800
Source: "NBU\trek\large\trek.exe"; DestDir: "{app}\NBUL"; Components: NBU; Tasks: NBUB800
Source: "NBU\trek\largezoom\trek.exe"; DestDir: "{app}\NBUL"; Components: NBU; Tasks: NBUB800\v30
;1024
Source: "NBU\trek\1024normal\trek.exe"; DestDir: "{app}\NBU"; Components: NBU; Tasks: NBUB1024
Source: "NBU\trek\1024large\trek.exe"; DestDir: "{app}\NBUL"; Components: NBU; Tasks: NBUB1024
Source: "NBU\trek\1024largezoom\trek.exe"; DestDir: "{app}\NBUL"; Components: NBU; Tasks: NBUB1024\v40
;1366
Source: "NBU\1366\*"; DestDir: "{tmp}\NBU\mod"; Components: NBU; Tasks: NBUB1366
Source: "NBU\1366\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Tasks: NBUB1366
Source: "NBU\trek\1366normal\trek.exe"; DestDir: "{app}\NBU"; Components: NBU; Tasks: NBUB1366
Source: "NBU\trek\1366large\trek.exe"; DestDir: "{app}\NBUL"; Components: NBU; Tasks: NBUB1366
Source: "NBU\trek\1366largezoom\trek.exe"; DestDir: "{app}\NBUL"; Components: NBU; Tasks: NBUB1366\v40
Source: "files\view\*"; DestDir: "{tmp}\NBUL\mod"; Components: NBU; Tasks: NBUB1366\v40 NBUB800\v30 NBUB1024\v40

;TMPM
Source: "exe\TMPM.exe"; DestDir: "{tmp}\TMPM"; Components: TMPM
;800
Source: "files\readme\TMPM_readme.htm"; DestDir: "{app}\TMPM"; Flags: nocompression; Components: TMPM
Source: "TMPM\text\*"; DestDir: "{tmp}\TMPM"; Flags: nocompression; Components: TMPM
Source: "TMPM\trek\normal\trek.exe"; DestDir: "{app}\TMPM"; Components: TMPM; Tasks: TMPMB800
;1024
Source: "TMPM\trek\1024normal\trek.exe"; DestDir: "{app}\TMPM"; Components: TMPM; Tasks: TMPMB1024
;1366
Source: "TMPM\1366\*"; DestDir: "{tmp}\TMPM\mod"; Components: TMPM; Tasks: TMPMB1366
Source: "TMPM\trek\1366normal\trek.exe"; DestDir: "{app}\TMPM"; Components: TMPM; Tasks: TMPMB1366

;FMPM
Source: "vanilla\hob\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Tasks: FMPMpatch
Source: "exe\FMPM.exe"; DestDir: "{tmp}\FMPM"; Components: FMPM
;800
Source: "files\readme\FMPM_readme.htm"; DestDir: "{app}\FMPM"; Flags: nocompression; Components: FMPM
Source: "FMPM\text\*"; DestDir: "{tmp}\FMPM"; Flags: nocompression; Components: FMPM
Source: "FMPM\trek\normal\trek.exe"; DestDir: "{app}\FMPM"; Components: FMPM; Tasks: FMPMB800
;1024
Source: "FMPM\trek\1024normal\trek.exe"; DestDir: "{app}\FMPM"; Components: FMPM; Tasks: FMPMB1024
;1366
Source: "FMPM\1366\*"; DestDir: "{tmp}\FMPM\mod"; Components: FMPM; Tasks: FMPMB1366
Source: "FMPM\trek\1366normal\trek.exe"; DestDir: "{app}\FMPM"; Components: FMPM; Tasks: FMPMB1366

;AFC
Source: "exe\AFC.exe"; DestDir: "{tmp}\AFC"; Components: AFC
;1024
Source: "files\readme\AFC_readme.htm"; DestDir: "{app}\AFC"; Flags: nocompression; Components: AFC
Source: "AFC\text\*"; DestDir: "{tmp}\AFC"; Flags: nocompression; Components: AFC
Source: "AFC\trek\1024normal\trek.exe"; DestDir: "{app}\AFC"; Components: AFC; Tasks: AFCBAFC
;1366
Source: "AFC\1366\*"; DestDir: "{tmp}\AFC\mod"; Components: AFC; Tasks: AFCB1366
Source: "AFC\trek\1366normal\trek.exe"; DestDir: "{app}\AFC"; Components: AFC; Tasks: AFCB1366

;B5V2
Source: "exe\B5V2.exe"; DestDir: "{tmp}\B5V2"; Components: B5V2
;800
Source: "files\readme\B5V2_readme.htm"; DestDir: "{app}\B5V2"; Flags: nocompression; Components: B5V2
Source: "B5V2\text\*"; DestDir: "{tmp}\B5V2"; Flags: nocompression; Components: B5V2
Source: "B5V2\trek\normal\trek.exe"; DestDir: "{app}\B5V2"; Components: B5V2; Tasks: B5V2B800
;1024
Source: "B5V2\1024\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Tasks: B5V2B1024
Source: "B5V2\trek\1024normal\trek.exe"; DestDir: "{app}\B5V2"; Components: B5V2; Tasks: B5V2B1024
;1366
Source: "B5V2\1366\*"; DestDir: "{tmp}\B5V2\mod"; Components: B5V2; Tasks: B5V2B1366
Source: "B5V2\trek\1366normal\trek.exe"; DestDir: "{app}\B5V2"; Components: B5V2; Tasks: B5V2B1366

;B194
Source: "B194\video\open.avi"; DestDir: "{app}\B194\ENGLISH"; Components: B194; Languages: en
Source: "B194\video\open.avi"; DestDir: "{app}\B194\GERMAN"; Components: B194; Languages: de
Source: "B194\INTRO.WAV"; DestDir: "{app}\B194"; Components: B194
Source: "exe\B194.exe"; DestDir: "{tmp}\B194"; Components: B194
;800
Source: "files\readme\B194_readme.htm"; DestDir: "{app}\B194"; Flags: nocompression; Components: B194
Source: "B194\text\*"; DestDir: "{tmp}\B194"; Flags: nocompression; Components: B194
Source: "B194\trek\normal\trek.exe"; DestDir: "{app}\B194"; Components: B194; Tasks: B194B800
;1024
Source: "B194\1024\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Tasks: B194B1024
Source: "B194\trek\1024normal\trek.exe"; DestDir: "{app}\B194"; Components: B194; Tasks: B194B1024
;1366
Source: "B194\1366\*"; DestDir: "{tmp}\B194\mod"; Components: B194; Tasks: B194B1366
Source: "B194\trek\1366normal\trek.exe"; DestDir: "{app}\B194"; Components: B194; Tasks: B194B1366

;BIM2
Source: "exe\BIM2.exe"; DestDir: "{tmp}\BIM2"; Components: BIM2
;800
Source: "files\readme\BIM2_readme.htm"; DestDir: "{app}\BIM2"; Flags: nocompression; Components: BIM2
Source: "BIM2\text\*"; DestDir: "{tmp}\BIM2"; Flags: nocompression; Components: BIM2
Source: "BIM2\trek\normal\trek.exe"; DestDir: "{app}\BIM2"; Components: BIM2; Tasks: BIM2B800
;1024
Source: "BIM2\1024\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Tasks: BIM2B1024
Source: "BIM2\trek\1024normal\trek.exe"; DestDir: "{app}\BIM2"; Components: BIM2; Tasks: BIM2B1024
;1366
Source: "BIM2\1366\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2; Tasks: BIM2B1366
Source: "BIM2\combat\*"; DestDir: "{tmp}\BIM2\mod"; Components: BIM2
Source: "BIM2\trek\1366normal\trek.exe"; DestDir: "{app}\BIM2"; Components: BIM2; Tasks: BIM2B1366

;COL3
Source: "exe\COL3.exe"; DestDir: "{tmp}\COL3"; Components: COL3
;800
Source: "files\readme\COL3_readme.htm"; DestDir: "{app}\COL3"; Flags: nocompression; Components: COL3
Source: "COL3\text\*"; DestDir: "{tmp}\COL3"; Flags: nocompression; Components: COL3
Source: "COL3\trek\normal\trek.exe"; DestDir: "{app}\COL3"; Components: COL3; Tasks: COL3B800
;1024
Source: "COL3\1024\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Tasks: COL3B1024
Source: "COL3\trek\1024normal\trek.exe"; DestDir: "{app}\COL3"; Components: COL3; Tasks: COL3B1024
;1366
Source: "COL3\1366\*"; DestDir: "{tmp}\COL3\mod"; Components: COL3; Tasks: COL3B1366
Source: "COL3\trek\1366normal\trek.exe"; DestDir: "{app}\COL3"; Components: COL3; Tasks: COL3B1366

;FDA
Source: "FDA\sound\*"; DestDir: "{tmp}\FDA\sound"; Components: FDA
Source: "exe\FDA.exe"; DestDir: "{tmp}\FDA"; Components: FDA
;800
Source: "files\readme\FDA_readme.htm"; DestDir: "{app}\FDA"; Flags: nocompression; Components: FDA
Source: "FDA\text\*"; DestDir: "{tmp}\FDA"; Flags: nocompression; Components: FDA
Source: "FDA\trek\normal\trek.exe"; DestDir: "{app}\FDA"; Components: FDA; Tasks: FDAB800
;1024
Source: "FDA\1024\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Tasks: FDAB1024
Source: "FDA\trek\1024normal\trek.exe"; DestDir: "{app}\FDA"; Components: FDA; Tasks: FDAB1024
;1366
Source: "FDA\1366\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA; Tasks: FDAB1366
Source: "FDA\combat\*"; DestDir: "{tmp}\FDA\mod"; Components: FDA
Source: "FDA\trek\1366normal\trek.exe"; DestDir: "{app}\FDA"; Components: FDA; Tasks: FDAB1366

;IMPR
Source: "exe\IMPR.exe"; DestDir: "{tmp}\IMPR"; Components: IMPR
;800
Source: "files\readme\IMPR_readme.htm"; DestDir: "{app}\IMPR"; Flags: nocompression; Components: IMPR
Source: "IMPR\text\*"; DestDir: "{tmp}\IMPR"; Flags: nocompression; Components: IMPR
Source: "IMPR\trek\normal\trek.exe"; DestDir: "{app}\IMPR"; Components: IMPR; Tasks: IMPRB800
;1024
Source: "IMPR\1024\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Tasks: IMPRB1024
Source: "IMPR\trek\1024normal\trek.exe"; DestDir: "{app}\IMPR"; Components: IMPR; Tasks: IMPRB1024
;1366
Source: "IMPR\1366\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR; Tasks: IMPRB1366
Source: "IMPR\combat\*"; DestDir: "{tmp}\IMPR\mod"; Components: IMPR
Source: "IMPR\trek\1366normal\trek.exe"; DestDir: "{app}\IMPR"; Components: IMPR; Tasks: IMPRB1366

;DQM
Source: "DQM\sound\*"; DestDir: "{tmp}\DQM\sound"; Components: DQM
Source: "exe\DQM.exe"; DestDir: "{tmp}\DQM"; Components: DQM
;800
Source: "files\readme\DQM_readme.htm"; DestDir: "{app}\DQM"; Flags: nocompression; Components: DQM
Source: "DQM\text\*"; DestDir: "{tmp}\DQM"; Flags: nocompression; Components: DQM
Source: "DQM\trek\normal\trek.exe"; DestDir: "{app}\DQM"; Components: DQM; Tasks: DQMB800
;1024
Source: "DQM\1024\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Tasks: DQMB1024
Source: "DQM\trek\1024normal\trek.exe"; DestDir: "{app}\DQM"; Components: DQM; Tasks: DQMB1024
;1366
Source: "DQM\1366\*"; DestDir: "{tmp}\DQM\mod"; Components: DQM; Tasks: DQMB1366
Source: "DQM\trek\1366normal\trek.exe"; DestDir: "{app}\DQM"; Components: DQM; Tasks: DQMB1366

;MMM3
Source: "exe\MMM3.exe"; DestDir: "{tmp}\MMM3"; Components: MMM3
;800
Source: "files\readme\MMM3_readme.htm"; DestDir: "{app}\MMM3"; Flags: nocompression; Components: MMM3
Source: "MMM3\text\*"; DestDir: "{tmp}\MMM3"; Flags: nocompression; Components: MMM3
Source: "MMM3\trek\normal\trek.exe"; DestDir: "{app}\MMM3"; Components: MMM3; Tasks: MMM3B800
;1024
Source: "MMM3\1024\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Tasks: MMM3B1024
Source: "MMM3\trek\1024normal\trek.exe"; DestDir: "{app}\MMM3"; Components: MMM3; Tasks: MMM3B1024
;1366
Source: "MMM3\1366\*"; DestDir: "{tmp}\MMM3\mod"; Components: MMM3; Tasks: MMM3B1366
Source: "MMM3\trek\1366normal\trek.exe"; DestDir: "{app}\MMM3"; Components: MMM3; Tasks: MMM3B1366

;UCW
Source: "UCW\video\*"; DestDir: "{app}\UCW\ENGLISH"; Components: UCW; Languages: en
Source: "UCW\video\*"; DestDir: "{app}\UCW\GERMAN"; Components: UCW; Languages: de
Source: "files\backups\english\ENGLISH\k.avi"; DestDir: "{app}\UCW\ENGLISH"; DestName: "F.avi"; Components: UCW; Languages: en
Source: "files\backups\german\German\k.avi"; DestDir: "{app}\UCW\GERMAN"; DestName: "F.avi"; Components: UCW; Languages: de
Source: "UCW\INTRO.WAV"; DestDir: "{app}\UCW"; Components: UCW
Source: "UCW\video\*"; DestDir: "{app}\UCWL\ENGLISH"; Components: UCW; Languages: en
Source: "UCW\video\*"; DestDir: "{app}\UCWL\GERMAN"; Components: UCW; Languages: de
Source: "files\backups\english\ENGLISH\k.avi"; DestDir: "{app}\UCWL\ENGLISH"; DestName: "F.avi"; Components: UCW; Languages: en
Source: "files\backups\german\German\k.avi"; DestDir: "{app}\UCWL\GERMAN"; DestName: "F.avi"; Components: UCW; Languages: de
Source: "UCW\INTRO.WAV"; DestDir: "{app}\UCWL"; Components: UCW
Source: "files\QD\QD\ucw_patches\*"; DestDir: "{app}\UCW\patches"; Components: UCW
Source: "files\QD\QD\ucw_patches\*"; DestDir: "{app}\UCW\patches"; Components: UCW
Source: "exe\UCW.exe"; DestDir: "{tmp}\UCW"; Components: UCW
;800
Source: "files\readme\UCW_readme.htm"; DestDir: "{app}\UCW"; Flags: nocompression; Components: UCW
Source: "UCW\text\*"; DestDir: "{tmp}\UCW"; Flags: nocompression; Components: UCW
Source: "UCW\textl\*"; DestDir: "{tmp}\UCWL"; Flags: nocompression; Components: UCW
Source: "UCW\trek\normal\trek.exe"; DestDir: "{app}\UCW"; Components: UCW; Tasks: UCWB800
Source: "UCW\trek\large\trek.exe"; DestDir: "{app}\UCWL"; Components: UCW; Tasks: UCWB800
Source: "UCW\trek\largezoom\trek.exe"; DestDir: "{app}\UCWL"; Components: UCW; Tasks: UCWB800\v30
;1024
Source: "UCW\1024\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Tasks: UCWB1024
Source: "UCW\1024\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Tasks: UCWB1024
Source: "UCW\trek\1024normal\trek.exe"; DestDir: "{app}\UCW"; Components: UCW; Tasks: UCWB1024
Source: "UCW\trek\1024large\trek.exe"; DestDir: "{app}\UCWL"; Components: UCW; Tasks: UCWB1024
Source: "UCW\trek\1024largezoom\trek.exe"; DestDir: "{app}\UCWL"; Components: UCW; Tasks: UCWB1024\v40
;1366
Source: "UCW\1366\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW; Tasks: UCWB1366
Source: "UCW\1366\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Tasks: UCWB1366
Source: "UCW\combat\*"; DestDir: "{tmp}\UCW\mod"; Components: UCW
Source: "UCW\combat\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW
Source: "UCW\trek\1366normal\trek.exe"; DestDir: "{app}\UCW"; Components: UCW; Tasks: UCWB1366
Source: "UCW\trek\1366large\trek.exe"; DestDir: "{app}\UCWL"; Components: UCW; Tasks: UCWB1366
Source: "UCW\trek\1366largezoom\trek.exe"; DestDir: "{app}\UCWL"; Components: UCW; Tasks: UCWB1366\v40
Source: "files\view\*"; DestDir: "{tmp}\UCWL\mod"; Components: UCW; Tasks: UCWB1366\v40 UCWB800\v30 UCWB1024\v40

;UM5
Source: "UDM\video\*"; DestDir: "{app}\UM5\ENGLISH"; Components: UM5; Languages: en; Excludes: "open.avi"
Source: "UDM\video\*"; DestDir: "{app}\UM5\GERMAN"; Components: UM5; Languages: de; Excludes: "open.avi"
Source: "UM5\sound\*"; DestDir: "{tmp}\UM5\sound"; Components: UM5
Source: "UM5\text\*"; DestDir: "{tmp}\UM5"; Flags: nocompression; Components: UM5
Source: "UM5\evade\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5; Tasks: UM5patch
Source: "files\QD\QD\um5_patches\*"; DestDir: "{app}\UM5\patches"; Components: UM5
Source: "exe\UM5.exe"; DestDir: "{tmp}\UM5"; Components: UM5
;1024
Source: "files\readme\UM5_readme.htm"; DestDir: "{app}\UM5"; Flags: nocompression; Components: UM5
Source: "UDM\1024alt\*"; DestDir: "{tmp}\UM5\alt"; Components: UM5; Tasks: UM5BUM5
Source: "UM5\trek\1024normal\trek.exe"; DestDir: "{app}\UM5"; Components: UM5; Tasks: UM5BUM5
Source: "UM5\trek\1024largezoom\trek.exe"; DestDir: "{app}\UM5"; Components: UM5; Tasks: UM5BUM5\v40
;1366
Source: "UDM\1366alt\*"; DestDir: "{tmp}\UM5\alt"; Components: UM5; Tasks: UM5B1366
Source: "UM5\1366\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5; Tasks: UM5B1366
Source: "UM5\combat\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5
Source: "UM5\trek\1366normal\trek.exe"; DestDir: "{app}\UM5"; Components: UM5; Tasks: UM5B1366
Source: "UM5\trek\1366largezoom\trek.exe"; DestDir: "{app}\UM5"; Components: UM5; Tasks: UM5B1366\v40
Source: "files\view\*"; DestDir: "{tmp}\UM5\mod"; Components: UM5; Tasks: UM5B1366\v40 UM5BUM5\v40

;GALM
Source: "GALM\sound\*"; DestDir: "{tmp}\GALM\sound"; Components: GALM
Source: "GALM\sfx.snd"; DestDir: "{app}\GALM"; Components: GALM
Source: "GALM\text\*"; DestDir: "{tmp}\GALM"; Flags: nocompression; Components: GALM
Source: "exe\GALM.exe"; DestDir: "{tmp}\GALM"; Components: GALM
;800
Source: "files\readme\GALM_readme.htm"; DestDir: "{app}\GALM"; Flags: nocompression; Components: GALM
Source: "GALM\trek\normal\trek.exe"; DestDir: "{app}\GALM"; Components: GALM; Tasks: GALMB800
Source: "GALM\trek\largezoom\trek.exe"; DestDir: "{app}\GALM"; Components: GALM; Tasks: GALMB800\v30
;1024
Source: "GALM\1024\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Tasks: GALMB1024
Source: "GALM\trek\1024normal\trek.exe"; DestDir: "{app}\GALM"; Components: GALM; Tasks: GALMB1024
Source: "GALM\trek\1024largezoom\trek.exe"; DestDir: "{app}\GALM"; Components: GALM; Tasks: GALMB1024\v40
;1366
Source: "GALM\1366\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Tasks: GALMB1366
Source: "GALM\combat\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM
Source: "GALM\trek\1366normal\trek.exe"; DestDir: "{app}\GALM"; Components: GALM; Tasks: GALMB1366
Source: "GALM\trek\1366largezoom\trek.exe"; DestDir: "{app}\GALM"; Components: GALM; Tasks: GALMB1366\v40
Source: "files\view\*"; DestDir: "{tmp}\GALM\mod"; Components: GALM; Tasks: GALMB1366\v40 GALMB800\v30 GALMB1024\v40

;UDM
Source: "UDM\video\*"; DestDir: "{app}\UDM\ENGLISH"; Components: UDM; Languages: en
Source: "UDM\video\*"; DestDir: "{app}\UDM\GERMAN"; Components: UDM; Languages: de
Source: "UDM\intro.wav"; DestDir: "{app}\UDM"; Components: UDM
Source: "UDM\alt\*"; DestDir: "{tmp}\UDM\alt"; Components: UDM; Tasks: UDMB800
Source: "UDM\sound\*"; DestDir: "{tmp}\UDM\sound"; Components: UDM
Source: "UDM\video\*"; DestDir: "{app}\UDML\ENGLISH"; Components: UDM; Languages: en
Source: "UDM\video\*"; DestDir: "{app}\UDML\GERMAN"; Components: UDM; Languages: de
Source: "UDM\intro.wav"; DestDir: "{app}\UDML"; Components: UDM
Source: "UDM\alt\*"; DestDir: "{tmp}\UDML\alt"; Components: UDM; Tasks: UDMB800
Source: "UDM\sound\*"; DestDir: "{tmp}\UDML\sound"; Components: UDM
Source: "files\QD\QD\udm_patches\*"; DestDir: "{app}\UDM\patches"; Components: UDM
Source: "exe\UDM.exe"; DestDir: "{tmp}\UDM"; Components: UDM
;800
Source: "files\readme\UDM_readme.htm"; DestDir: "{app}\UDM"; Flags: nocompression; Components: UDM
Source: "UDM\text\*"; DestDir: "{tmp}\UDM"; Flags: nocompression; Components: UDM
Source: "UDM\textl\*"; DestDir: "{tmp}\UDML"; Flags: nocompression; Components: UDM
Source: "UDM\trek\normal\trek.exe"; DestDir: "{app}\UDM"; Components: UDM; Tasks: UDMB800
Source: "UDM\trek\large\trek.exe"; DestDir: "{app}\UDML"; Components: UDM; Tasks: UDMB800
Source: "UDM\trek\largezoom\trek.exe"; DestDir: "{app}\UDML"; Components: UDM; Tasks: UDMB800\v30
;1024
Source: "UDM\1024alt\*"; DestDir: "{tmp}\UDM\alt"; Components: UDM; Tasks: UDMB1024
Source: "UDM\1024alt\*"; DestDir: "{tmp}\UDML\alt"; Components: UDM; Tasks: UDMB1024
Source: "UDM\1024\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Tasks: UDMB1024
Source: "UDM\1024\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Tasks: UDMB1024
Source: "UDM\trek\1024normal\trek.exe"; DestDir: "{app}\UDM"; Components: UDM; Tasks: UDMB1024
Source: "UDM\trek\1024large\trek.exe"; DestDir: "{app}\UDML"; Components: UDM; Tasks: UDMB1024
Source: "UDM\trek\1024largezoom\trek.exe"; DestDir: "{app}\UDML"; Components: UDM; Tasks: UDMB1024\v40
;1366
Source: "UDM\1366alt\*"; DestDir: "{tmp}\UDM\alt"; Components: UDM; Tasks: UDMB1366
Source: "UDM\1366alt\*"; DestDir: "{tmp}\UDML\alt"; Components: UDM; Tasks: UDMB1366
Source: "UDM\1366\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM; Tasks: UDMB1366
Source: "UDM\1366\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Tasks: UDMB1366
Source: "UDM\combat\*"; DestDir: "{tmp}\UDM\mod"; Components: UDM
Source: "UDM\combat\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM
Source: "UDM\trek\1366normal\trek.exe"; DestDir: "{app}\UDM"; Components: UDM; Tasks: UDMB1366
Source: "UDM\trek\1366large\trek.exe"; DestDir: "{app}\UDML"; Components: UDM; Tasks: UDMB1366
Source: "UDM\trek\1366largezoom\trek.exe"; DestDir: "{app}\UDML"; Components: UDM; Tasks: UDMB1366\v40
Source: "files\view\*"; DestDir: "{tmp}\UDML\mod"; Components: UDM; Tasks: UDMB1366\v40 UDMB800\v30 UDMB1024\v40

[Components]
Name: "tools"; Description: "Tools (DxWnd, UE, QD's Patcher)"
Name: "vanilla"; Description: "Birth of the Federation (By Microprose)"
Name: "ECM"; Description: "Error Correction Mod (by Spocks-cuddly-tribble)"
Name: "UDM"; Description: "Ultimate Dominion Mod (by siggi and thunderchero)"
Name: "BOP"; Description: "Balance of Power (by Gowron)"
Name: "AAM"; Description: "All the Ages Mod (by stardust)"
Name: "UM5"; Description: "Ultimate Mod 5 (by Dafedz)"
Name: "UCW"; Description: "UnCivil Wars Mod (by thunderchero)"
Name: "GALM"; Description: "Galaxies Mod (by Tethys)"
Name: "FLG"; Description: "Flagship Mod (by thunderchero)"
Name: "NBU"; Description: "No Building Upgrade Mod (by thunderchero)"
Name: "TMPM"; Description: "Thunderchero's multi player Mod (by thunderchero)"
Name: "FMPM"; Description: "Fluid's multi player Mod (by Sir Fluid Hat)"
Name: "AFC"; Description: "AFC Mod (by AFC)"
Name: "B5V2"; Description: "Babylon 5 Mod (by jigalypuff)"
Name: "B194"; Description: "Building Mod (by joker)"
Name: "BIM2"; Description: "Borg Incursion Mod (by jigalypuff/dcer)"
Name: "COL3"; Description: "Colonies Mod (by jigalypuff)"
Name: "FDA"; Description: "Ferengi-Dominion Alliance Mod (by Darth_Windu)"
Name: "IMPR"; Description: "Imperial Mod (by Bulsar)"
Name: "DQM"; Description: "Delta Quadrant Mod (by DigitalMaleficus)"
Name: "MMM3"; Description: "Mirror Mirror Mod (by Dafedz)"
Name: "PDM"; Description: "Prime Directive Mod (by teukros)"
Name: "PLM"; Description: "Planet Mod (by joker)"
Name: "RIF"; Description: "Resistance Is Futile Mod (by dcer)"
Name: "SGV1"; Description: "Stargate Mod (by jigalypuff)"

[Tasks]
;tools
Name: "dx"; Description: "Install DxWnd files (by Gho)"; GroupDescription: "Tool's Tasks"; Components: tools
Name: "dx\desktopiconf"; Description: "Set Icons to use Fullscreen DxWnd Command line arguments"; GroupDescription: "Tool's Tasks"; Flags: checkablealone exclusive; Components: tools
Name: "dx\desktopiconw"; Description: "Set Icons to use Windowed DxWnd Command line arguments"; GroupDescription: "Tool's Tasks"; Flags: checkablealone exclusive unchecked; Components: tools
Name: "dx\desktopiconn"; Description: "Use original icon paths"; GroupDescription: "Tool's Tasks"; Flags: checkablealone exclusive unchecked; Components: tools
Name: "UE"; Description: "Install Ultimate Editor (by Dcer)"; GroupDescription: "Tool's Tasks"; Components: tools
Name: "QD"; Description: "Install QD's Patcher (by QuasarDonkey)"; GroupDescription: "Tool's Tasks"; Components: tools
;vanilla
Name: "vanillaB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "Vanilla Tasks"; Flags: exclusive; Components: vanilla
Name: "vanillaB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "Vanilla Tasks"; Flags: exclusive unchecked; Components: vanilla
Name: "vanillaB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "Vanilla Tasks"; Flags: exclusive unchecked; Components: vanilla
Name: "vanillaicon"; Description: "Create Birth of the Federation Desktop Icon"; GroupDescription: "Vanilla Tasks"; Components: vanilla
Name: "vanillapatch"; Description: "Install hob fix, (patch for evade and retreat CTD)"; GroupDescription: "Vanilla Tasks"; Components: vanilla
Name: "vanillapatch1"; Description: "replacement 512 x 512 Model textures (cosmetic patch)"; GroupDescription: "Vanilla Tasks"; Components: vanilla
Name: "vanillapatch2"; Description: "replacement ship Build screen tga images (cosmetic patch)"; GroupDescription: "Vanilla Tasks"; Components: vanilla
Name: "vanillapatch3"; Description: "gui fixes (functional fixes and cosmetic patch)"; GroupDescription: "Vanilla Tasks"; Components: vanilla
;ECM
Name: "ECMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "ECM Tasks"; Flags: exclusive; Components: ECM
Name: "ECMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "ECM Tasks"; Flags: exclusive unchecked; Components: ECM
Name: "ECMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "ECM Tasks"; Flags: exclusive unchecked; Components: ECM
Name: "ECMicon"; Description: "Create ECM Desktop Icon"; GroupDescription: "ECM Tasks"; Components: ECM
;UDM
Name: "UDMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "UDM Tasks"; Flags: exclusive; Components: UDM
Name: "UDMB800\v30"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UDM Tasks"; Flags: unchecked; Components: UDM
Name: "UDMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "UDM Tasks"; Flags: exclusive unchecked; Components: UDM
Name: "UDMB1024\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UDM Tasks"; Flags: unchecked; Components: UDM
Name: "UDMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "UDM Tasks"; Flags: exclusive unchecked; Components: UDM
Name: "UDMB1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UDM Tasks"; Flags: unchecked; Components: UDM
Name: "UDMicon"; Description: "Create UDM Desktop Icon"; GroupDescription: "UDM Tasks"; Components: UDM
;BOP
Name: "BOPB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "BOP Tasks"; Flags: exclusive; Components: BOP
Name: "BOPB800\v30"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "BOP Tasks"; Flags: unchecked; Components: BOP
Name: "BOPB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "BOP Tasks"; Flags: exclusive unchecked; Components: BOP
Name: "BOPB1024\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "BOP Tasks"; Flags: unchecked; Components: BOP
Name: "BOPB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "BOP Tasks"; Flags: exclusive unchecked; Components: BOP
Name: "BOPB1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "BOP Tasks"; Flags: unchecked; Components: BOP
Name: "BOPpatch"; Description: "Install hob fix, (patch for evade and retreat CTD)"; GroupDescription: "BOP Tasks"; Components: BOP
Name: "BOPicon"; Description: "Create BOP Desktop Icon"; GroupDescription: "BOP Tasks"; Components: BOP
;AAM
Name: "AAMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "AAM Tasks"; Flags: exclusive; Components: AAM
Name: "AAMB800\v30"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "AAM Tasks"; Flags: unchecked; Components: AAM
Name: "AAMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "AAM Tasks"; Flags: exclusive unchecked; Components: AAM
Name: "AAMB1024\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "AAM Tasks"; Flags: unchecked; Components: AAM
Name: "AAMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "AAM Tasks"; Flags: exclusive unchecked; Components: AAM
Name: "AAMB1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "AAM Tasks"; Flags: unchecked; Components: AAM
Name: "AAMpatch"; Description: "Install hob fix, (patch for evade and retreat CTD)"; GroupDescription: "AAM Tasks"; Components: AAM
Name: "AAMicon"; Description: "Create AAM Desktop Icon"; GroupDescription: "AAM Tasks"; Components: AAM
Name: "build"; Description: "allow building of minor race ships"; GroupDescription: "AAM Tasks"; Components: AAM
;UM5
Name: "UM5BUM5"; Description: "1024 x 768 released GUI"; GroupDescription: "UM5 Tasks"; Flags: exclusive; Components: UM5
Name: "UM5BUM5\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UM5 Tasks"; Flags: unchecked; Components: UM5
Name: "UM5B1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "UM5 Tasks"; Flags: exclusive unchecked; Components: UM5
Name: "UM5B1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UM5 Tasks"; Flags: unchecked; Components: UM5
Name: "UM5patch"; Description: "Install hob fix, (patch for evade and retreat CTD)"; GroupDescription: "UM5 Tasks"; Components: UM5
Name: "UM5icon"; Description: "Create UM5 Desktop Icon"; GroupDescription: "UM5 Tasks"; Components: UM5
;GALM
Name: "GALMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "GALM Tasks"; Flags: exclusive; Components: GALM
Name: "GALMB800\v30"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "GALM Tasks"; Flags: unchecked; Components: GALM
Name: "GALMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "GALM Tasks"; Flags: exclusive unchecked; Components: GALM
Name: "GALMB1024\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "GALM Tasks"; Flags: unchecked; Components: GALM
Name: "GALMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "GALM Tasks"; Flags: exclusive unchecked; Components: GALM
Name: "GALMB1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "GALM Tasks"; Flags: unchecked; Components: GALM
Name: "GALMicon"; Description: "Create GALM Desktop Icon"; GroupDescription: "GALM Tasks"; Components: GALM
;UCW
Name: "UCWB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "UCW Tasks"; Flags: exclusive; Components: UCW
Name: "UCWB800\v30"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UCW Tasks"; Flags: unchecked; Components: UCW
Name: "UCWB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "UCW Tasks"; Flags: exclusive unchecked; Components: UCW
Name: "UCWB1024\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UCW Tasks"; Flags: unchecked; Components: UCW
Name: "UCWB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "UCW Tasks"; Flags: exclusive unchecked; Components: UCW
Name: "UCWB1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "UCW Tasks"; Flags: unchecked; Components: UCW
Name: "UCWicon"; Description: "Create UCW Desktop Icon"; GroupDescription: "UCW Tasks"; Components: UCW
;FLG
Name: "FLGB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "FLG Tasks"; Flags: exclusive; Components: FLG
Name: "FLGB800\v30"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "FLG Tasks"; Flags: unchecked; Components: FLG
Name: "FLGB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "FLG Tasks"; Flags: exclusive unchecked; Components: FLG
Name: "FLGB1024\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "FLG Tasks"; Flags: unchecked; Components: FLG
Name: "FLGB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "FLG Tasks"; Flags: exclusive unchecked; Components: FLG
Name: "FLGB1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "FLG Tasks"; Flags: unchecked; Components: FLG
Name: "FLGicon"; Description: "Create FLG Desktop Icon"; GroupDescription: "FLG Tasks"; Components: FLG
;NBU
Name: "NBUB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "NBU Tasks"; Flags: exclusive; Components: NBU
Name: "NBUB800\v30"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "NBU Tasks"; Flags: unchecked; Components: NBU
Name: "NBUB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "NBU Tasks"; Flags: exclusive unchecked; Components: NBU
Name: "NBUB1024\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "NBU Tasks"; Flags: unchecked; Components: NBU
Name: "NBUB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "NBU Tasks"; Flags: exclusive unchecked; Components: NBU
Name: "NBUB1366\v40"; Description: "Install Large Galaxy Zoomed in view changes"; GroupDescription: "NBU Tasks"; Flags: unchecked; Components: NBU
Name: "NBUicon"; Description: "Create NBU Desktop Icon"; GroupDescription: "NBU Tasks"; Components: NBU
;TMPM
Name: "TMPMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "TMPM Tasks"; Flags: exclusive; Components: TMPM
Name: "TMPMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "TMPM Tasks"; Flags: exclusive unchecked; Components: TMPM
Name: "TMPMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "TMPM Tasks"; Flags: exclusive unchecked; Components: TMPM
Name: "TMPMicon"; Description: "Create TMPM Desktop Icon"; GroupDescription: "TMPM Tasks"; Components: TMPM
;FMPM
Name: "FMPMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "FMPM Tasks"; Flags: exclusive; Components: FMPM
Name: "FMPMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "FMPM Tasks"; Flags: exclusive unchecked; Components: FMPM
Name: "FMPMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "FMPM Tasks"; Flags: exclusive unchecked; Components: FMPM
Name: "FMPMpatch"; Description: "Install hob fix, (patch for evade and retreat CTD)"; GroupDescription: "FMPM Tasks"; Components: FMPM
Name: "FMPMicon"; Description: "Create FMPM Desktop Icon"; GroupDescription: "FMPM Tasks"; Components: FMPM
;AFC
Name: "AFCBAFC"; Description: "1024 x 768 released GUI"; GroupDescription: "AFC Tasks"; Flags: exclusive; Components: AFC
Name: "AFCB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "AFC Tasks"; Flags: exclusive unchecked; Components: AFC
Name: "AFCicon"; Description: "Create AFC Desktop Icon"; GroupDescription: "AFC Tasks"; Components: AFC
;B5V2
Name: "B5V2B800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "B5V2 Tasks"; Flags: exclusive; Components: B5V2
Name: "B5V2B1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "B5V2 Tasks"; Flags: exclusive unchecked; Components: B5V2
Name: "B5V2B1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "B5V2 Tasks"; Flags: exclusive unchecked; Components: B5V2
Name: "B5V2icon"; Description: "Create B5V2 Desktop Icon"; GroupDescription: "B5V2 Tasks"; Components: B5V2
;B194
Name: "B194B800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "B194 Tasks"; Flags: exclusive; Components: B194
Name: "B194B1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "B194 Tasks"; Flags: exclusive unchecked; Components: B194
Name: "B194B1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "B194 Tasks"; Flags: exclusive unchecked; Components: B194
Name: "B194icon"; Description: "Create B194 Desktop Icon"; GroupDescription: "B194 Tasks"; Components: B194
;BIM2
Name: "BIM2B800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "BIM2 Tasks"; Flags: exclusive; Components: BIM2
Name: "BIM2B1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "BIM2 Tasks"; Flags: exclusive unchecked; Components: BIM2
Name: "BIM2B1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "BIM2 Tasks"; Flags: exclusive unchecked; Components: BIM2
Name: "BIM2icon"; Description: "Create BIM2 Desktop Icon"; GroupDescription: "BIM2 Tasks"; Components: BIM2
;COL3
Name: "COL3B800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "COL3 Tasks"; Flags: exclusive; Components: COL3
Name: "COL3B1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "COL3 Tasks"; Flags: exclusive unchecked; Components: COL3
Name: "COL3B1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "COL3 Tasks"; Flags: exclusive unchecked; Components: COL3
Name: "COL3icon"; Description: "Create COL3 Desktop Icon"; GroupDescription: "COL3 Tasks"; Components: COL3
;FDA
Name: "FDAB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "FDA Tasks"; Flags: exclusive; Components: FDA
Name: "FDAB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "FDA Tasks"; Flags: exclusive unchecked; Components: FDA
Name: "FDAB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "FDA Tasks"; Flags: exclusive unchecked; Components: FDA
Name: "FDAicon"; Description: "Create FDA Desktop Icon"; GroupDescription: "FDA Tasks"; Components: FDA
;IMPR
Name: "IMPRB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "IMPR Tasks"; Flags: exclusive; Components: IMPR
Name: "IMPRB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "IMPR Tasks"; Flags: exclusive unchecked; Components: IMPR
Name: "IMPRB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "IMPR Tasks"; Flags: exclusive unchecked; Components: IMPR
Name: "IMPRicon"; Description: "Create IMPR Desktop Icon"; GroupDescription: "IMPR Tasks"; Components: IMPR
;DQM
Name: "DQMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "DQM Tasks"; Flags: exclusive; Components: DQM
Name: "DQMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "DQM Tasks"; Flags: exclusive unchecked; Components: DQM
Name: "DQMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "DQM Tasks"; Flags: exclusive unchecked; Components: DQM
Name: "DQMicon"; Description: "Create DQM Desktop Icon"; GroupDescription: "DQM Tasks"; Components: DQM
;MMM3
Name: "MMM3B800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "MMM3 Tasks"; Flags: exclusive; Components: MMM3
Name: "MMM3B1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "MMM3 Tasks"; Flags: exclusive unchecked; Components: MMM3
Name: "MMM3B1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "MMM3 Tasks"; Flags: exclusive unchecked; Components: MMM3
Name: "MMM3icon"; Description: "Create MMM3 Desktop Icon"; GroupDescription: "MMM3 Tasks"; Components: MMM3
;PDM
Name: "PDMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "PDM Tasks"; Flags: exclusive; Components: PDM
Name: "PDMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "PDM Tasks"; Flags: exclusive unchecked; Components: PDM
Name: "PDMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "PDM Tasks"; Flags: exclusive unchecked; Components: PDM
Name: "PDMpatch"; Description: "Install hob fix, (patch for evade and retreat CTD)"; GroupDescription: "PDM Tasks"; Components: PDM
Name: "PDMicon"; Description: "Create PDM Desktop Icon"; GroupDescription: "PDM Tasks"; Components: PDM
;PLM
Name: "PLMB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "PLM Tasks"; Flags: exclusive; Components: PLM
Name: "PLMB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "PLM Tasks"; Flags: exclusive unchecked; Components: PLM
Name: "PLMB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "PLM Tasks"; Flags: exclusive unchecked; Components: PLM
Name: "PLMpatch"; Description: "Install hob fix, (patch for evade and retreat CTD)"; GroupDescription: "PLM Tasks"; Components: PLM
Name: "PLMicon"; Description: "Create PLM Desktop Icon"; GroupDescription: "PLM Tasks"; Components: PLM
;RIF
Name: "RIFB800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "RIF Tasks"; Flags: exclusive; Components: RIF
Name: "RIFB1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "RIF Tasks"; Flags: exclusive unchecked; Components: RIF
Name: "RIFB1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "RIF Tasks"; Flags: exclusive unchecked; Components: RIF
Name: "RIFicon"; Description: "Create RIF Desktop Icon"; GroupDescription: "RIF Tasks"; Components: RIF
;SGV1
Name: "SGV1B800"; Description: "Leave original 800 x 600 GUI"; GroupDescription: "SGV1 Tasks"; Flags: exclusive; Components: SGV1
Name: "SGV1B1024"; Description: "Install 1024 patch (cosmetic patch)"; GroupDescription: "SGV1 Tasks"; Flags: exclusive unchecked; Components: SGV1
Name: "SGV1B1366"; Description: "Install 1366 patch (cosmetic patch)"; GroupDescription: "SGV1 Tasks"; Flags: exclusive unchecked; Components: SGV1
Name: "SGV1icon"; Description: "Create SGV1 Desktop Icon"; GroupDescription: "SGV1 Tasks"; Components: SGV1

[Registry]
;Dx
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: tools
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: Dx"; Flags: uninsdeletekey; Components: tools
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: Dx"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\Tools"; Components: tools
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: Dx"; ValueType: string; ValueName: "Dx"; ValueData: "yes"; Components: tools; Tasks: dx
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: Dx"; ValueType: string; ValueName: "UE"; ValueData: "yes"; Components: tools; Tasks: UE
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: Dx"; ValueType: string; ValueName: "QD"; ValueData: "yes"; Components: tools; Tasks: QD
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: Dx"; ValueType: string; ValueName: "full"; ValueData: "yes"; Components: tools; Tasks: dx\desktopiconf
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: Dx"; ValueType: string; ValueName: "window"; ValueData: "yes"; Components: tools; Tasks: dx\desktopiconw

;Vanilla
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: vanilla
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOTF"; Flags: uninsdeletekey; Components: vanilla
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOTF"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\Vanilla"; Components: vanilla
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOTF"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: vanilla; Tasks: vanillaicon

;ECM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: ECM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: ECM"; Flags: uninsdeletekey; Components: ECM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: ECM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\ECM"; Components: ECM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: ECM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: ECM; Tasks: ECMicon

;UDM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: UDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UDM"; Flags: uninsdeletekey; Components: UDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UDM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\UDM"; Components: UDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UDML"; Flags: uninsdeletekey; Components: UDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UDML"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\UDML"; Components: UDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UDM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: UDM; Tasks: UDMicon

;BOP
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: BOP
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOP"; Flags: uninsdeletekey; Components: BOP
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOP"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\BOP"; Components: BOP
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOPL"; Flags: uninsdeletekey; Components: BOP
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOPL"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\BOPL"; Components: BOP
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BOP"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: BOP; Tasks: BOPicon

;AAM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: AAM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AAM"; Flags: uninsdeletekey; Components: AAM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AAM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\AAM"; Components: AAM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AAML"; Flags: uninsdeletekey; Components: AAM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AAML"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\AAML"; Components: AAM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AAM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: AAM; Tasks: AAMicon

;UM5
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: UM5
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UM5"; Flags: uninsdeletekey; Components: UM5
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UM5"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\UM5"; Components: UM5
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UM5"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: UM5; Tasks: UM5icon

;UCW
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: UCW
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UCW"; Flags: uninsdeletekey; Components: UCW
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UCW"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\UCW"; Components: UCW
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UCWL"; Flags: uninsdeletekey; Components: UCW
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UCWL"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\UCWL"; Components: UCW
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: UCW"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: UCW; Tasks: UCWicon

;GALM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: GALM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: GALM"; Flags: uninsdeletekey; Components: GALM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: GALM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\GALM"; Components: GALM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: GALM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: GALM; Tasks: GALMicon

;FLG
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: FLG
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FLG"; Flags: uninsdeletekey; Components: FLG
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FLG"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\FLG"; Components: FLG
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FLGL"; Flags: uninsdeletekey; Components: FLG
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FLGL"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\FLGL"; Components: FLG
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FLG"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: FLG; Tasks: FLGicon

;NBU
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: NBU
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: NBU"; Flags: uninsdeletekey; Components: NBU
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: NBU"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\NBU"; Components: NBU
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: NBUL"; Flags: uninsdeletekey; Components: NBU
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: NBUL"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\NBUL"; Components: NBU
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: NBU"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: NBU; Tasks: NBUicon

;TMPM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: TMPM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: TMPM"; Flags: uninsdeletekey; Components: TMPM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: TMPM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\TMPM"; Components: TMPM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: TMPM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: TMPM; Tasks: TMPMicon

;FMPM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: FMPM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FMPM"; Flags: uninsdeletekey; Components: FMPM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FMPM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\FMPM"; Components: FMPM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FMPM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: FMPM; Tasks: FMPMicon

;AFC
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: AFC
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AFC"; Flags: uninsdeletekey; Components: AFC
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AFC"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\AFC"; Components: AFC
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: AFC"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: AFC; Tasks: AFCicon

;B5V2
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: B5V2
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: B5V2"; Flags: uninsdeletekey; Components: B5V2
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: B5V2"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\B5V2"; Components: B5V2
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: B5V2"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: B5V2; Tasks: B5V2icon

;B194
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: B194
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: B194"; Flags: uninsdeletekey; Components: B194
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: B194"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\B194"; Components: B194
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: B194"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: B194; Tasks: B194icon

;BIM2
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: BIM2
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BIM2"; Flags: uninsdeletekey; Components: BIM2
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BIM2"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\BIM2"; Components: BIM2
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: BIM2"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: BIM2; Tasks: BIM2icon

;COL3
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: COL3
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: COL3"; Flags: uninsdeletekey; Components: COL3
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: COL3"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\COL3"; Components: COL3
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: COL3"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: COL3; Tasks: COL3icon

;FDA
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: FDA
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FDA"; Flags: uninsdeletekey; Components: FDA
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FDA"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\FDA"; Components: FDA
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: FDA"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: FDA; Tasks: FDAicon

;IMPR
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: IMPR
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: IMPR"; Flags: uninsdeletekey; Components: IMPR
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: IMPR"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\IMPR"; Components: IMPR
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: IMPR"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: IMPR; Tasks: IMPRicon

;DQM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: DQM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: DQM"; Flags: uninsdeletekey; Components: DQM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: DQM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\DQM"; Components: DQM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: DQM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: DQM; Tasks: DQMicon

;MMM3
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: MMM3
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: MMM3"; Flags: uninsdeletekey; Components: MMM3
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: MMM3"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\MMM3"; Components: MMM3
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: MMM3"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: MMM3; Tasks: MMM3icon

;PDM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: PDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: PDM"; Flags: uninsdeletekey; Components: PDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: PDM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\PDM"; Components: PDM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: PDM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: PDM; Tasks: PDMicon

;PLM
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: PLM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: PLM"; Flags: uninsdeletekey; Components: PLM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: PLM"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\PLM"; Components: PLM
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: PLM"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: PLM; Tasks: PLMicon

;RIF
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: RIF
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: RIF"; Flags: uninsdeletekey; Components: RIF
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: RIF"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\RIF"; Components: RIF
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: RIF"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: RIF; Tasks: RIFicon

;SGV1
Root: "HKLM"; Subkey: "Software\Microprose"; Flags: uninsdeletekeyifempty; Components: SGV1
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: SGV1"; Flags: uninsdeletekey; Components: SGV1
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: SGV1"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\SGV1"; Components: SGV1
Root: "HKLM"; Subkey: "Software\Microprose\Star Trek: SGV1"; ValueType: string; ValueName: "icon"; ValueData: "yes"; Components: SGV1; Tasks: SGV1icon

[Run]
;tools
Filename: "{tmp}\tools\BOTF_tools.exe"; Parameters: "/VERYSILENT"; Components: tools

;vanilla
Filename: "{tmp}\vanilla\vanilla.exe"; Parameters: "/VERYSILENT"; Components: vanilla
Filename: "{tmp}\vanilla\MOD.BAT"; Flags: runhidden; Components: vanilla
Filename: "{tmp}\vanilla\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: vanilla

;ECM
Filename: "{tmp}\ECM\ECM.exe"; Parameters: "/VERYSILENT"; Components: ECM
Filename: "{tmp}\ECM\mod.BAT"; Flags: runhidden; Components: ECM
Filename: "{tmp}\ECM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: ECM

;UDM
Filename: "{tmp}\UDM\UDM.exe"; Parameters: "/VERYSILENT"; Components: UDM
Filename: "{tmp}\UDM\mod.BAT"; Flags: runhidden; Components: UDM
Filename: "{tmp}\UDML\modl.BAT"; Flags: runhidden; Components: UDM
Filename: "{tmp}\UDM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: UDM

;BOP
Filename: "{tmp}\BOP\BOP.exe"; Parameters: "/VERYSILENT"; Components: BOP
Filename: "{tmp}\BOP\mod.BAT"; Flags: runhidden; Components: BOP
Filename: "{tmp}\BOPL\modl.BAT"; Flags: runhidden; Components: BOP
Filename: "{tmp}\BOP\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: BOP

;AAM
Filename: "{tmp}\AAM\AAM.exe"; Parameters: "/VERYSILENT"; Components: AAM
Filename: "{tmp}\AAM\mod.BAT"; Flags: runhidden; Components: AAM
Filename: "{tmp}\AAML\modl.BAT"; Flags: runhidden; Components: AAM
Filename: "{tmp}\AAM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: AAM

;UM5
Filename: "{tmp}\UM5\UM5.exe"; Parameters: "/VERYSILENT"; Components: UM5
Filename: "{tmp}\UM5\mod.BAT"; Flags: runhidden; Components: UM5
Filename: "{tmp}\UM5\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: UM5

;UCW
Filename: "{tmp}\UCW\UCW.exe"; Parameters: "/VERYSILENT"; Components: UCW
Filename: "{tmp}\UCW\mod.BAT"; Flags: runhidden; Components: UCW
Filename: "{tmp}\UCWL\modl.BAT"; Flags: runhidden; Components: UCW
Filename: "{tmp}\UCW\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: UCW

;GALM
Filename: "{tmp}\GALM\GALM.exe"; Parameters: "/VERYSILENT"; Components: GALM
Filename: "{tmp}\GALM\mod.BAT"; Flags: runhidden; Components: GALM
Filename: "{tmp}\GALM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: GALM

;FLG
Filename: "{tmp}\FLG\FLG.exe"; Parameters: "/VERYSILENT"; Components: FLG
Filename: "{tmp}\FLG\mod.BAT"; Flags: runhidden; Components: FLG
Filename: "{tmp}\FLGL\modl.BAT"; Flags: runhidden; Components: FLG
Filename: "{tmp}\FLG\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: FLG

;NBU
Filename: "{tmp}\NBU\NBU.exe"; Parameters: "/VERYSILENT"; Components: NBU
Filename: "{tmp}\NBU\mod.BAT"; Flags: runhidden; Components: NBU
Filename: "{tmp}\NBUL\modl.BAT"; Flags: runhidden; Components: NBU
Filename: "{tmp}\NBU\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: NBU

;TMPM
Filename: "{tmp}\TMPM\TMPM.exe"; Parameters: "/VERYSILENT"; Components: TMPM
Filename: "{tmp}\TMPM\mod.BAT"; Flags: runhidden; Components: TMPM
Filename: "{tmp}\TMPM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: TMPM

;FMPM
Filename: "{tmp}\FMPM\FMPM.exe"; Parameters: "/VERYSILENT"; Components: FMPM
Filename: "{tmp}\FMPM\mod.BAT"; Flags: runhidden; Components: FMPM
Filename: "{tmp}\FMPM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: FMPM

;AFC
Filename: "{tmp}\AFC\AFC.exe"; Parameters: "/VERYSILENT"; Components: AFC
Filename: "{tmp}\AFC\mod.BAT"; Flags: runhidden; Components: AFC
Filename: "{tmp}\AFC\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: AFC

;B5V2
Filename: "{tmp}\B5V2\B5V2.exe"; Parameters: "/VERYSILENT"; Components: B5V2
Filename: "{tmp}\B5V2\mod.BAT"; Flags: runhidden; Components: B5V2
Filename: "{tmp}\B5V2\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: B5V2

;B194
Filename: "{tmp}\B194\B194.exe"; Parameters: "/VERYSILENT"; Components: B194
Filename: "{tmp}\B194\mod.BAT"; Flags: runhidden; Components: B194
Filename: "{tmp}\B194\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: B194

;BIM2
Filename: "{tmp}\BIM2\BIM2.exe"; Parameters: "/VERYSILENT"; Components: BIM2
Filename: "{tmp}\BIM2\mod.BAT"; Flags: runhidden; Components: BIM2
Filename: "{tmp}\BIM2\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: BIM2

;COL3
Filename: "{tmp}\COL3\COL3.exe"; Parameters: "/VERYSILENT"; Components: COL3
Filename: "{tmp}\COL3\mod.BAT"; Flags: runhidden; Components: COL3
Filename: "{tmp}\COL3\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: COL3

;FDA
Filename: "{tmp}\FDA\FDA.exe"; Parameters: "/VERYSILENT"; Components: FDA
Filename: "{tmp}\FDA\mod.BAT"; Flags: runhidden; Components: FDA
Filename: "{tmp}\FDA\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: FDA

;IMPR
Filename: "{tmp}\IMPR\IMPR.exe"; Parameters: "/VERYSILENT"; Components: IMPR
Filename: "{tmp}\IMPR\mod.BAT"; Flags: runhidden; Components: IMPR
Filename: "{tmp}\IMPR\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: IMPR

;DQM
Filename: "{tmp}\DQM\DQM.exe"; Parameters: "/VERYSILENT"; Components: DQM
Filename: "{tmp}\DQM\mod.BAT"; Flags: runhidden; Components: DQM
Filename: "{tmp}\DQM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: DQM

;MMM3
Filename: "{tmp}\MMM3\MMM3.exe"; Parameters: "/VERYSILENT"; Components: MMM3
Filename: "{tmp}\MMM3\mod.BAT"; Flags: runhidden; Components: MMM3
Filename: "{tmp}\MMM3\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: MMM3

;PDM
Filename: "{tmp}\PDM\PDM.exe"; Parameters: "/VERYSILENT"; Components: PDM
Filename: "{tmp}\PDM\mod.BAT"; Flags: runhidden; Components: PDM
Filename: "{tmp}\PDM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: PDM

;PLM
Filename: "{tmp}\PLM\PLM.exe"; Parameters: "/VERYSILENT"; Components: PLM
Filename: "{tmp}\PLM\mod.BAT"; Flags: runhidden; Components: PLM
Filename: "{tmp}\PLM\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: PLM

;RIF
Filename: "{tmp}\RIF\RIF.exe"; Parameters: "/VERYSILENT"; Components: RIF
Filename: "{tmp}\RIF\mod.BAT"; Flags: runhidden; Components: RIF
Filename: "{tmp}\RIF\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: RIF

;SGV1
Filename: "{tmp}\SGV1\SGV1.exe"; Parameters: "/VERYSILENT"; Components: SGV1
Filename: "{tmp}\SGV1\mod.BAT"; Flags: runhidden; Components: SGV1
Filename: "{tmp}\SGV1\PLAY.BAT"; Flags: runhidden; MinVersion: 0,6.2; Components: SGV1

[Messages]
InstallingLabel=Please wait while Setup installs your selected components on your computer.
StatusRunProgram=NOTICE: Compressing Files to stbof.res, this may take 1-3 minutes per mod selected.
DiskSpaceMBLabel=
ComponentsDiskSpaceMBLabel=
WelcomeLabel2=This will install Birth of the Federation and most mods on your computer.%n%nIt is recommended that you close all other applications before continuing.
ReadyLabel1=Setup is now ready to begin installing the selected components on your computer.
SelectComponentsLabel2=Select the components you want to install, Click Next when you are ready to continue.%n!!!NOTICE!!!%nTools should be installed on first execution of installer to set DxWnd paths.
SelectDirBrowseLabel=!!!!NOTICE!!!!!%nThis folder should be set to the exact same path each time installer is used%nTo continue, click Next. If you would like to select a different folder, click Browse.
SelectDirDesc=Select location of Base install folder location, mod folder added by installer
SelectDirLabel3=Setup will install selected components into the following folder.
SelectComponentsLabel2=Select the components you want to install%nClick Next when you are ready to continue.%n!!!NOTICE!!! Tools should be installed first to set DxWnd paths
SelectTasksLabel2=Select the additional tasks you would like Setup to perform while installing selected component, then click Next.
FullInstallation=Select Components to install

[Code]
function NextButtonClick(CurPageId: Integer): Boolean;

begin
   Result := True;
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('tools') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: Dx') then begin
       if MsgBox('Tools is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end; 
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('vanilla') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: BOTF') then begin
       if MsgBox('Birth of the Federation is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('ECM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: ECM') then begin
       if MsgBox('Error Correction Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('UDM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: UDM') then begin
       if MsgBox('Ultimate Dominion Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('BOP') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: BOP') then begin
       if MsgBox('Balance of Power is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('AAM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: AAM') then begin
       if MsgBox('All the Ages Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('UM5') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: UM5') then begin
       if MsgBox('Ultimate Mod 5 is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('UCW') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: UCW') then begin
       if MsgBox('UnCivil Wars Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('GALM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: GALM') then begin
       if MsgBox('Galaxies Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('FLG') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: FLG') then begin
       if MsgBox('Flagship Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('NBU') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: NBU') then begin
       if MsgBox('No Building Upgrade Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('TMPM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: TMPM') then begin
       if MsgBox('Thunderchero multi player Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('FMPM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: FMPM') then begin
       if MsgBox('Fluid multi player Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('AFC') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: AFC') then begin
       if MsgBox('AFC Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('B5V2') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: B5V2') then begin
       if MsgBox('Babylon 5 Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('B194') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: B194') then begin
       if MsgBox('Building Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('BIM2') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: BIM2') then begin
       if MsgBox('Borg Incursion Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('COL3') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: COL3') then begin
       if MsgBox('Colonies Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('FDA') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: FDA') then begin
       if MsgBox('Ferengi-Dominion Alliance Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('IMPR') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: IMPR') then begin
       if MsgBox('Imperial Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('DQM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: DQM') then begin
       if MsgBox('Delta Quadrant Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('MMM3') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: MMM3') then begin
       if MsgBox('Mirror Mirror Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('PDM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: PDM') then begin
       if MsgBox('Prime Directive Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('PLM') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: PLM') then begin
       if MsgBox('Planet Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('RIF') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: RIF') then begin
       if MsgBox('Resistance Is Futile Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       end;
       end;
       end;
       begin 
       if CurPageId = wpSelectComponents then begin
       if IsComponentSelected('SGV1') then begin
       if RegKeyExists(HKLM, 'Software\Microprose\Star Trek: SGV1') then begin
       if MsgBox('Stargate Mod is already installed.' #13#13 'You must Uninstall before reinstalling.' #13#13 'or' #13#13 'Select No to select a different component.' #13#13 'or' #13#13 'Select Yes to continue anyway.', mbConfirmation, MB_YESNO) = IDNO then
       begin 
       Result := False;
       end;
       exit;
       end;
       end;
       end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;
end;