[Setup]
AppName="Galaxies Mod"
AppVerName="Galaxies Mod 0.3.0"
AppPublisher="microprose"
AppSupportURL="https://www.armadafleetcommand.com/onscreen/botf/viewforum.php?f=303"
OutputDir=C:\_All_in_One\exe
OutputBaseFilename=GALM
SetupIconFile=files\trek.ico
Compression=lzma2/ultra64
SolidCompression=true
DisableDirPage=yes
VersionInfoVersion=1.0.0
VersionInfoCompany=Microprose
AppCopyright=Microprose
AppVersion=0.3.0
SourceDir=C:\_All_in_One
DisableStartupPrompt=true
ShowLanguageDialog=no
Uninstallable=yes
ChangesAssociations=true
InternalCompressLevel=ultra64
DefaultDirName={reg:HKLM\Software\Microprose\Star Trek: GALM,InstallPath|{pf}\Star Trek: GALM}
UsePreviousGroup=False
DisableProgramGroupPage=yes
DefaultGroupName=Microprose
EnableDirDoesntExistWarning=True
DirExistsWarning=no
ShowComponentSizes=False
UninstallLogMode=new
DisableWelcomePage=True
DisableReadyPage=True
DisableReadyMemo=True
DisableFinishedPage=True
UsePreviousLanguage=False
FlatComponentsList=False
AlwaysShowComponentsList=False
UsePreviousAppDir=False
AppId={{18C94B21-9C7B-11D0-933A-10315CEA7318}
UninstallDisplayName=Galaxies Mod

[Registry]
Root: HKLM; Subkey: Software\Microprose; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microprose\Star Trek: GALM; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microprose\Star Trek: GALM; ValueType: string; ValueName: InstallPath; ValueData: {app}
Root: HKLM; Subkey: Software\Microprose\Star Trek: GALM; ValueType: string; ValueName: Version; ValueData: GM 0.3.0a
Root: HKLM; Subkey: Software\Microprose\Star Trek: GALM\1.0; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Galaxies Mod; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Galaxies Mod; ValueType: string; ValueName: CommandLine; ValueData: -L
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Galaxies Mod; ValueType: string; ValueName: CurrentDirectory; ValueData: {app}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Galaxies Mod; ValueType: string; ValueName: File; ValueData: trek.exe
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Galaxies Mod; ValueType: string; ValueName: GUID; ValueData: {{18C94B21-9C7B-11D0-933A-10315CEA7318}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:Galaxies Mod; ValueType: string; ValueName: Path; ValueData: {app}

[Icons]
Name: {group}\Galaxies Mod\Galaxies Mod; Filename: {app}\trek.exe; WorkingDir: {app}
Name: "{group}\Galaxies Mod\Galaxies Mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe"; Parameters: /R:10; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(2)
Name: "{group}\Galaxies Mod\Galaxies Mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:10; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(1)
Name: {group}\Galaxies Mod\Documentation\ReadMe; Filename: {app}\GALM_Readme.txt
Name: {group}\Galaxies Mod\Documentation\Galaxies Mod support-discussion; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=26&t=1536"
Name: {commondesktop}\Galaxies Mod; Filename: {app}\trek.exe; WorkingDir: {app}; Check: CheckRegKey(3)
Name: "{commondesktop}\Galaxies Mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe"; Parameters: /R:10; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(2)
Name: "{commondesktop}\Galaxies Mod"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:10; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(1)
Name: {group}\Galaxies Mod\Uninstall Galaxies Mod; Filename: {uninstallexe}; IconFilename: {app}\uninstall.ico; IconIndex: 0

[UninstallDelete]
;tools
Type: filesandordirs; Name: "{app}\*"
Type: dirifempty; Name: "{app}"

[Code]

function CheckRegKey(CompType: Integer): Boolean;
begin
  Result := False;
  case CompType of
    1: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'window');
    2: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'full');
    3: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: GALM', 'icon');
  end;
end;

