[Setup]
AppName="Ultimate Mod 5"
AppVerName="Ultimate Mod 5 2.5.0"
AppPublisher="microprose"
AppSupportURL="https://www.armadafleetcommand.com/onscreen/botf/viewforum.php?f=303"
OutputDir=C:\_All_in_One\exe
OutputBaseFilename=UM5
SetupIconFile=files\trek.ico
Compression=lzma2/ultra64
SolidCompression=true
DisableDirPage=yes
VersionInfoVersion=1.0.0
VersionInfoCompany=Microprose
AppCopyright=Microprose
AppVersion=2.5.0
SourceDir=C:\_All_in_One
DisableStartupPrompt=true
ShowLanguageDialog=no
Uninstallable=yes
ChangesAssociations=true
InternalCompressLevel=ultra64
DefaultDirName={reg:HKLM\Software\Microprose\Star Trek: UM5,InstallPath|{pf}\Star Trek: UM5}
UsePreviousGroup=False
DisableProgramGroupPage=yes
DefaultGroupName=Microprose
EnableDirDoesntExistWarning=True
DirExistsWarning=no
ShowComponentSizes=False
UninstallLogMode=new
DisableWelcomePage=True
DisableReadyPage=True
DisableReadyMemo=True
DisableFinishedPage=True
UsePreviousLanguage=False
FlatComponentsList=False
AlwaysShowComponentsList=False
UsePreviousAppDir=False
AppId={{18C94B21-9C7B-11D0-933A-10313CEA7318}
UninstallDisplayName=Ultimate Mod 5

[Registry]
Root: HKLM; Subkey: Software\Microprose; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microprose\Star Trek: UM5; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microprose\Star Trek: UM5; ValueType: string; ValueName: InstallPath; ValueData: {app}
Root: HKLM; Subkey: Software\Microprose\Star Trek: UM5; ValueType: string; ValueName: Version; ValueData: UM52.5
Root: HKLM; Subkey: Software\Microprose\Star Trek: UM5\1.0; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:UM5; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:UM5; ValueType: string; ValueName: CommandLine; ValueData: -L
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:UM5; ValueType: string; ValueName: CurrentDirectory; ValueData: {app}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:UM5; ValueType: string; ValueName: File; ValueData: trek.exe
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:UM5; ValueType: string; ValueName: GUID; ValueData: {{18C94B21-9C7B-11D0-933A-10313CEA7318}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\BOTF:UM5; ValueType: string; ValueName: Path; ValueData: {app}

[Icons]
Name: {group}\Ultimate Mod 5\Ultimate Mod 5; Filename: {app}\trek.exe; WorkingDir: {app}
Name: "{group}\Ultimate Mod 5\Ultimate Mod 5"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe; Parameters: /R:9"; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(2)
Name: "{group}\Ultimate Mod 5\Ultimate Mod 5"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:9; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(1)
Name: {group}\Ultimate Mod 5\Documentation\ReadMe; Filename: {app}\UM5_readme.htm
Name: {group}\Ultimate Mod 5\Documentation\Ultimate Dominion Mod III support-discussion; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=29&t=2692"
Name: {commondesktop}\Ultimate Mod 5; Filename: {app}\trek.exe; WorkingDir: {app}; Check: CheckRegKey(3)
Name: "{commondesktop}\Ultimate Mod 5"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe"; Parameters: /R:9; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(2)
Name: "{commondesktop}\Ultimate Mod 5"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:9; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(1)
Name: {group}\Ultimate Mod 5\Uninstall Ultimate Mod 5; Filename: {uninstallexe}; IconFilename: {app}\uninstall.ico; IconIndex: 0

[UninstallDelete]
;tools
Type: filesandordirs; Name: "{app}\*"
Type: dirifempty; Name: "{app}" 

[Code]

function CheckRegKey(CompType: Integer): Boolean;
begin
  Result := False;
  case CompType of
    1: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'window');
    2: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'full');
    3: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: UM5', 'icon');
  end;
end;