[Setup]
AppName="Birth of the Federation"
AppVerName="Birth of the Federation 1.0.3"
AppPublisher="microprose"
AppSupportURL="https://www.armadafleetcommand.com/onscreen/botf/viewforum.php?f=303"
OutputDir=C:\_All_in_One\exe
OutputBaseFilename=vanilla
SetupIconFile=files\trek.ico
Compression=lzma2/ultra64
SolidCompression=true
DisableDirPage=yes
VersionInfoVersion=1.0.0
VersionInfoCompany=Microprose
AppCopyright=Microprose
AppVersion=1.0.3
SourceDir=C:\_All_in_One
DisableStartupPrompt=true
ShowLanguageDialog=no
Uninstallable=yes
ChangesAssociations=true
InternalCompressLevel=ultra64
DefaultDirName={reg:HKLM\Software\Microprose\Star Trek: BOTF,InstallPath|{pf}\Star Trek: BOTF}
UsePreviousGroup=False
DisableProgramGroupPage=yes
DefaultGroupName=Microprose
EnableDirDoesntExistWarning=True
DirExistsWarning=no
ShowComponentSizes=False
UninstallLogMode=new
DisableWelcomePage=True
DisableReadyPage=True
DisableReadyMemo=True
DisableFinishedPage=True
UsePreviousLanguage=False
FlatComponentsList=False
AlwaysShowComponentsList=False
UsePreviousAppDir=False
AppId={{18C94B21-9C7B-11D0-933A-10308CEA7318}
UninstallDisplayName=Birth of the Federation

[Registry]
Root: HKLM; Subkey: Software\Microprose; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microprose\Star Trek: BOTF; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microprose\Star Trek: BOTF; ValueType: string; ValueName: InstallPath; ValueData: {app}
Root: HKLM; Subkey: Software\Microprose\Star Trek: BOTF; ValueType: string; ValueName: Version; ValueData: 1.0.3
Root: HKLM; Subkey: Software\Microprose\Star Trek: BOTF\1.0; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\Birth of the Federation; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\Birth of the Federation; ValueType: string; ValueName: CommandLine; ValueData: -L
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\Birth of the Federation; ValueType: string; ValueName: CurrentDirectory; ValueData: {app}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\Birth of the Federation; ValueType: string; ValueName: File; ValueData: trek.exe
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\Birth of the Federation; ValueType: string; ValueName: GUID; ValueData: {{18C94B21-9C7B-11D0-933A-10308CEA7318}
Root: HKLM; Subkey: Software\Microsoft\DirectPlay\Applications\Birth of the Federation; ValueType: string; ValueName: Path; ValueData: {app}

[Icons]
Name: "{group}\Birth of the Federation\Birth of the Federation"; Filename: "{app}\trek.exe"; WorkingDir: "{app}"
Name: "{group}\Birth of the Federation\Birth of the Federation"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe"; Parameters: /R:1; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(2)
Name: "{group}\Birth of the Federation\Birth of the Federation"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:1; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(1)
Name: "{group}\Birth of the Federation\Documentation\Original ReadMe"; Filename: "{app}\readme.doc"
Name: "{group}\Birth of the Federation\Documentation\BOTF All in One support-discussion"; Filename: "https://www.armadafleetcommand.com/onscreen/botf/viewtopic.php?f=23&t=3509"
Name: "{group}\Birth of the Federation\Documentation\Multi-Installer ReadMe"; Filename: "{app}\1.0.2.htm"
Name: "{group}\Birth of the Federation\Documentation\Tutorial Guide"; Filename: "{app}\tutor1.pdf"
Name: "{group}\Birth of the Federation\Documentation\Tutorial Guide Text"; Filename: "{app}\tutor.txt"
Name: "{commondesktop}\Birth of the Federation"; Filename: "{app}\trek.exe"; WorkingDir: "{app}"; Check: CheckRegKey(3)
Name: "{commondesktop}\Birth of the Federation"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen\dxwnd.exe"; Parameters: /R:1; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_Fullscreen"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(2)
Name: "{commondesktop}\Birth of the Federation"; Filename: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed\dxwnd.exe"; Parameters: /R:1; WorkingDir: "{reg:HKLM\Software\Microprose\Star Trek: Dx,InstallPath|{pf}\Star Trek: Dx}\dxwnd_windowed"; IconFilename: "{app}\trek.exe"; Check: CheckRegKey(3) and CheckRegKey(1)
Name: "{group}\Birth of the Federation\Uninstall Birth of the Federation"; Filename: "{uninstallexe}"; IconFilename: "{app}\uninstall.ico"; IconIndex: 0

[UninstallDelete]
;tools
Type: filesandordirs; Name: "{app}\*"
Type: dirifempty; Name: "{app}" 

[Code]

function CheckRegKey(CompType: Integer): Boolean;
begin
  Result := False;
  case CompType of
    1: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'window');
    2: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: Dx', 'full');
    3: Result := RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microprose\Star Trek: BOTF', 'icon');
  end;
end;